\ This file has been generated using SWIG and fsi,
\ and is already platform dependent, search for the corresponding
\ fsi-file to compile it where no one has compiled it before ;)
\ Forth systems have their own own dynamic loader and don't need addional C-Code.
\ That's why this file will just print normal forth-code once compiled
\ and can be used directly with include or require.
\ As all comments are stripped during the compilation, please
\ insert the copyright notice of the original file here.

\ ----===< prefix >===-----
c-library gps
s" gps" add-lib
s" a" vararg$ $!
\c #include <gps.h>
\c #define GPS_MIN_VER(x, y) (GPSD_API_MAJOR_VERSION > x || (GPSD_API_MAJOR_VERSION == x && GPSD_API_MINOR_VERSION >= y))

\ ----===< int constants >===-----
#5	constant GPSD_API_MAJOR_VERSION
#1	constant GPSD_API_MINOR_VERSION
#8	constant MAXTAGLEN
#72	constant MAXCHANNELS
#32	constant GPS_PRNMAX
#4	constant MAXUSERDEVS
#4096	constant GPS_PATH_MAX
#0	constant MODE_NOT_SEEN
#1	constant MODE_NO_FIX
#2	constant MODE_2D
#3	constant MODE_3D
#64	constant GLONASS_PRN_OFFSET
#33	constant RTCM2_WORDS_MAX
#18	constant MAXCORRECTIONS
#10	constant MAXSTATIONS
#31	constant MAXHEALTH
#0	constant NAVSYSTEM_GPS
#1	constant NAVSYSTEM_GLONASS
#2	constant NAVSYSTEM_GALILEO
#3	constant NAVSYSTEM_UNKNOWN
#0	constant HEALTH_NORMAL
#1	constant HEALTH_UNMONITORED
#2	constant HEALTH_NOINFO
#3	constant HEALTH_DONOTUSE
#-1	constant SNR_BAD
#64	constant RTCM3_MAX_SATELLITES
#31	constant RTCM3_MAX_DESCRIPTOR
#32	constant RTCM3_MAX_ANNOUNCEMENTS
#181000	constant AIS_LON3_NOT_AVAILABLE
#91000	constant AIS_LAT3_NOT_AVAILABLE
#1810000	constant AIS_LON4_NOT_AVAILABLE
#910000	constant AIS_LAT4_NOT_AVAILABLE
#360	constant DAC1FID32_CDIR_NOT_AVAILABLE
#127	constant DAC1FID32_CSPEED_NOT_AVAILABLE
#0	constant DAC200FID24_GAUGE_ID_UNKNOWN
#0	constant DAC200FID24_GAUGE_LEVEL_UNKNOWN
#7	constant DAC1FID17_ID_LENGTH
#0	constant DAC1FID17_IDTYPE_MMSI
#1	constant DAC1FID17_IDTYPE_IMO
#2	constant DAC1FID17_IDTYPE_CALLSIGN
#3	constant DAC1FID17_IDTYPE_OTHER
#360	constant DAC1FID17_COURSE_NOT_AVAILABLE
#255	constant DAC1FID17_SPEED_NOT_AVAILABLE
#1	constant SAT_ACQUIRED
#2	constant SAT_CODE_TRACK
#4	constant SAT_CARR_TRACK
#8	constant SAT_DATA_SYNC
#16	constant SAT_FRAME_SYNC
#32	constant SAT_EPHEMERIS
#64	constant SAT_FIX_USED
#1	constant SEEN_GPS
#2	constant SEEN_RTCM2
#4	constant SEEN_RTCM3
#8	constant SEEN_AIS
#1	constant WATCH_ENABLE
#2	constant WATCH_DISABLE
#16	constant WATCH_JSON
#32	constant WATCH_NMEA
#64	constant WATCH_RARE
#128	constant WATCH_RAW
#256	constant WATCH_SCALED
#512	constant WATCH_TIMING
#2048	constant WATCH_DEVICE
#4096	constant WATCH_SPLIT24
#8192	constant WATCH_PPS
#65536	constant WATCH_NEWSTYLE
#131072	constant WATCH_OLDSTYLE
#34	constant SET_HIGH_BIT
#0	constant STATUS_NO_FIX
#1	constant STATUS_FIX
#2	constant STATUS_DGPS_FIX
#6378137	constant WGS84A
#-1	constant NL_NOSERVICE
#-2	constant NL_NOHOST
#-3	constant NL_NOPROTO
#-4	constant NL_NOSOCK
#-5	constant NL_NOSOCKOPT
#-6	constant NL_NOCONNECT
#-7	constant SHM_NOSHARED
#-8	constant SHM_NOATTACH
#-9	constant DBUS_FAILURE

\ ----===< long constants >===-----
#2.	2constant ONLINE_SET
#4.	2constant TIME_SET
#8.	2constant TIMERR_SET
#16.	2constant LATLON_SET
#32.	2constant ALTITUDE_SET
#64.	2constant SPEED_SET
#128.	2constant TRACK_SET
#256.	2constant CLIMB_SET
#512.	2constant STATUS_SET
#1024.	2constant MODE_SET
#2048.	2constant DOP_SET
#4096.	2constant HERR_SET
#8192.	2constant VERR_SET
#16384.	2constant ATTITUDE_SET
#32768.	2constant SATELLITE_SET
#65536.	2constant SPEEDERR_SET
#131072.	2constant TRACKERR_SET
#262144.	2constant CLIMBERR_SET
#524288.	2constant DEVICE_SET
#1048576.	2constant DEVICELIST_SET
#2097152.	2constant DEVICEID_SET
#4194304.	2constant RTCM2_SET
#8388608.	2constant RTCM3_SET
#16777216.	2constant AIS_SET
#33554432.	2constant PACKET_SET
#67108864.	2constant SUBFRAME_SET
#134217728.	2constant GST_SET
#268435456.	2constant VERSION_SET
#536870912.	2constant POLICY_SET
#1073741824.	2constant LOGMESSAGE_SET
#2147483648.	2constant ERROR_SET
#4294967296.	2constant TIMEDRIFT_SET
#8589934592.	2constant EOF_SET
#8016379904.	2constant UNION_SET

\ ---===< float constants >===----
299792.458000e0	fconstant GPS_AMBIGUITY_MODULUS
599584.916000e0	fconstant GLONASS_AMBIGUITY_MODULUS
0.100000e0	fconstant MESSAGE_INTERVAL_UNITS
60000.000000e0	fconstant AIS_LATLON3_DIV
600000.000000e0	fconstant AIS_LATLON4_DIV
3.280840e0	fconstant METERS_TO_FEET
0.000621e0	fconstant METERS_TO_MILES
0.546807e0	fconstant METERS_TO_FATHOMS
1.150779e0	fconstant KNOTS_TO_MPH
1.852000e0	fconstant KNOTS_TO_KPH
0.514444e0	fconstant KNOTS_TO_MPS
3.600000e0	fconstant MPS_TO_KPH
2.236936e0	fconstant MPS_TO_MPH
1.943844e0	fconstant MPS_TO_KNOTS
3.141593e0	fconstant GPS_PI
57.295780e0	fconstant RAD_2_DEG
0.017453e0	fconstant DEG_2_RAD
298.257224e0	fconstant WGS84F
6356752.314200e0	fconstant WGS84B

\ --------===< enums >===---------
#0	constant reserved
#1	constant correct
#2	constant widelane
#3	constant uncertain
#0	constant reserved_code
#1	constant p
#2	constant ca
#3	constant l2c

\ -------===< structs >===--------
\ gps_fix_t
begin-structure gps_fix_t
	drop 8 4 +field gps_fix_t-mode
	drop 104 8 +field gps_fix_t-climb
	drop 72 8 +field gps_fix_t-track
	drop 56 8 +field gps_fix_t-altitude
	drop 0 8 +field gps_fix_t-time
	drop 88 8 +field gps_fix_t-speed
	drop 24 8 +field gps_fix_t-latitude
	drop 96 8 +field gps_fix_t-eps
	drop 16 8 +field gps_fix_t-ept
	drop 112 8 +field gps_fix_t-epc
	drop 80 8 +field gps_fix_t-epd
	drop 64 8 +field gps_fix_t-epv
	drop 40 8 +field gps_fix_t-longitude
	drop 48 8 +field gps_fix_t-epx
	drop 32 8 +field gps_fix_t-epy
drop 120 end-structure
\ gst_t
begin-structure gst_t
	drop 32 8 +field gst_t-smajor_orientation
	drop 0 8 +field gst_t-utctime
	drop 8 8 +field gst_t-rms_deviation
	drop 16 8 +field gst_t-smajor_deviation
	drop 24 8 +field gst_t-sminor_deviation
	drop 40 8 +field gst_t-lat_err_deviation
	drop 48 8 +field gst_t-lon_err_deviation
	drop 56 8 +field gst_t-alt_err_deviation
drop 64 end-structure
\ rtcm2_t
begin-structure rtcm2_t
	drop 24 4 +field rtcm2_t-stathlth
	drop 32 748 +field rtcm2_t-conhealth
	drop 8 8 +field rtcm2_t-zcount
	drop 4 4 +field rtcm2_t-length
	drop 32 48 +field rtcm2_t-reference
	drop 32 12 +field rtcm2_t-gpstime
	drop 32 124 +field rtcm2_t-message
	drop 20 4 +field rtcm2_t-seqnum
	drop 32 124 +field rtcm2_t-words
	drop 32 32 +field rtcm2_t-xmitter
	drop 32 488 +field rtcm2_t-almanac
	drop 0 4 +field rtcm2_t-type
	drop 16 4 +field rtcm2_t-refstaid
	drop 32 584 +field rtcm2_t-glonass_ranges
	drop 32 584 +field rtcm2_t-gps_ranges
	drop 32 32 +field rtcm2_t-ecef
drop 784 end-structure
\ gps_rangesat_t
begin-structure gps_rangesat_t
	drop 16 8 +field gps_rangesat_t-prc
	drop 0 4 +field gps_rangesat_t-ident
	drop 8 4 +field gps_rangesat_t-iod
	drop 4 4 +field gps_rangesat_t-udre
	drop 24 8 +field gps_rangesat_t-rrc
drop 32 end-structure
\ consat_t
begin-structure consat_t
	drop 8 4 +field consat_t-health
	drop 12 4 +field consat_t-snr
	drop 17 1 +field consat_t-new_data
	drop 16 1 +field consat_t-health_en
	drop 4 1 +field consat_t-iodl
	drop 20 4 +field consat_t-tou
	drop 0 4 +field consat_t-ident
	drop 18 1 +field consat_t-los_warning
drop 24 end-structure
\ station_t
begin-structure station_t
	drop 32 4 +field station_t-health
	drop 0 8 +field station_t-latitude
	drop 36 4 +field station_t-station_id
	drop 24 8 +field station_t-frequency
	drop 8 8 +field station_t-longitude
	drop 16 4 +field station_t-range
	drop 40 4 +field station_t-bitrate
drop 48 end-structure
\ glonass_rangesat_t
begin-structure glonass_rangesat_t
	drop 12 1 +field glonass_rangesat_t-change
	drop 16 8 +field glonass_rangesat_t-prc
	drop 0 4 +field glonass_rangesat_t-ident
	drop 4 4 +field glonass_rangesat_t-udre
	drop 8 4 +field glonass_rangesat_t-tod
	drop 24 8 +field glonass_rangesat_t-rrc
drop 32 end-structure
\ rtcm3_rtk_hdr
begin-structure rtcm3_rtk_hdr
	drop 8 1 +field rtcm3_rtk_hdr-sync
	drop 10 2 +field rtcm3_rtk_hdr-satcount
	drop 12 1 +field rtcm3_rtk_hdr-smoothing
	drop 0 4 +field rtcm3_rtk_hdr-station_id
	drop 16 4 +field rtcm3_rtk_hdr-interval
	drop 4 4 +field rtcm3_rtk_hdr-tow
drop 20 end-structure
\ rtcm3_basic_rtk
begin-structure rtcm3_basic_rtk
	drop 0 1 +field rtcm3_basic_rtk-indicator
	drop 4 4 +field rtcm3_basic_rtk-channel
	drop 16 8 +field rtcm3_basic_rtk-rangediff
	drop 8 8 +field rtcm3_basic_rtk-pseudorange
	drop 24 1 +field rtcm3_basic_rtk-locktime
drop 32 end-structure
\ rtcm3_extended_rtk
begin-structure rtcm3_extended_rtk
	drop 0 1 +field rtcm3_extended_rtk-indicator
	drop 4 4 +field rtcm3_extended_rtk-channel
	drop 16 8 +field rtcm3_extended_rtk-rangediff
	drop 8 8 +field rtcm3_extended_rtk-pseudorange
	drop 24 1 +field rtcm3_extended_rtk-locktime
	drop 32 8 +field rtcm3_extended_rtk-CNR
	drop 25 1 +field rtcm3_extended_rtk-ambiguity
drop 40 end-structure
\ rtcm3_network_rtk_header
begin-structure rtcm3_network_rtk_header
	drop 24 1 +field rtcm3_network_rtk_header-satcount
	drop 0 4 +field rtcm3_network_rtk_header-network_id
	drop 4 4 +field rtcm3_network_rtk_header-subnetwork_id
	drop 16 4 +field rtcm3_network_rtk_header-master_id
	drop 8 4 +field rtcm3_network_rtk_header-time
	drop 12 1 +field rtcm3_network_rtk_header-multimesg
	drop 20 4 +field rtcm3_network_rtk_header-aux_id
drop 28 end-structure
\ rtcm3_correction_diff
begin-structure rtcm3_correction_diff
	drop 8 1 +field rtcm3_correction_diff-nonsync
	drop 16 8 +field rtcm3_correction_diff-geometric_diff
	drop 24 1 +field rtcm3_correction_diff-iode
	drop 32 8 +field rtcm3_correction_diff-ionospheric_diff
	drop 0 1 +field rtcm3_correction_diff-ident
	drop 4 4 +field rtcm3_correction_diff-ambiguity
drop 40 end-structure
\ rtcm3_t
begin-structure rtcm3_t
	drop 8 5656 +field rtcm3_t-rtcmtypes
	drop 0 4 +field rtcm3_t-type
	drop 4 4 +field rtcm3_t-length
drop 5664 end-structure
\ rtcm3_t_rtcmtypes
begin-structure rtcm3_t_rtcmtypes
	drop 0 5656 +field rtcm3_t_rtcmtypes-rtcm3_1011
	drop 0 5656 +field rtcm3_t_rtcmtypes-rtcm3_1012
	drop 0 2584 +field rtcm3_t_rtcmtypes-rtcm3_1001
	drop 0 208 +field rtcm3_t_rtcmtypes-rtcm3_1013
	drop 0 48 +field rtcm3_t_rtcmtypes-rtcm3_1014
	drop 0 3096 +field rtcm3_t_rtcmtypes-rtcm3_1002
	drop 0 4632 +field rtcm3_t_rtcmtypes-rtcm3_1003
	drop 0 2592 +field rtcm3_t_rtcmtypes-rtcm3_1015
	drop 0 5656 +field rtcm3_t_rtcmtypes-rtcm3_1004
	drop 0 2592 +field rtcm3_t_rtcmtypes-rtcm3_1016
	drop 0 40 +field rtcm3_t_rtcmtypes-rtcm3_1005
	drop 0 2592 +field rtcm3_t_rtcmtypes-rtcm3_1017
	drop 0 148 +field rtcm3_t_rtcmtypes-rtcm3_1029
	drop 0 48 +field rtcm3_t_rtcmtypes-rtcm3_1006
	drop 0 120 +field rtcm3_t_rtcmtypes-rtcm3_1019
	drop 0 40 +field rtcm3_t_rtcmtypes-rtcm3_1007
	drop 0 72 +field rtcm3_t_rtcmtypes-rtcm3_1008
	drop 0 2584 +field rtcm3_t_rtcmtypes-rtcm3_1009
	drop 0 104 +field rtcm3_t_rtcmtypes-rtcm3_1020
	drop 0 1024 +field rtcm3_t_rtcmtypes-data
	drop 0 136 +field rtcm3_t_rtcmtypes-rtcm3_1033
	drop 0 3096 +field rtcm3_t_rtcmtypes-rtcm3_1010
drop 5656 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1013
begin-structure rtcm3_t_rtcmtypes_rtcm3_1013
	drop 4 2 +field rtcm3_t_rtcmtypes_rtcm3_1013-mjd
	drop 14 192 +field rtcm3_t_rtcmtypes_rtcm3_1013-announcements
	drop 0 4 +field rtcm3_t_rtcmtypes_rtcm3_1013-station_id
	drop 13 1 +field rtcm3_t_rtcmtypes_rtcm3_1013-ncount
	drop 8 4 +field rtcm3_t_rtcmtypes_rtcm3_1013-sod
	drop 12 1 +field rtcm3_t_rtcmtypes_rtcm3_1013-leapsecs
drop 208 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1012
begin-structure rtcm3_t_rtcmtypes_rtcm3_1012
	drop 0 20 +field rtcm3_t_rtcmtypes_rtcm3_1012-header
drop 5656 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1011
begin-structure rtcm3_t_rtcmtypes_rtcm3_1011
	drop 0 20 +field rtcm3_t_rtcmtypes_rtcm3_1011-header
drop 5656 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1010
begin-structure rtcm3_t_rtcmtypes_rtcm3_1010
	drop 0 20 +field rtcm3_t_rtcmtypes_rtcm3_1010-header
drop 3096 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1009
begin-structure rtcm3_t_rtcmtypes_rtcm3_1009
	drop 0 20 +field rtcm3_t_rtcmtypes_rtcm3_1009-header
drop 2584 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1008
begin-structure rtcm3_t_rtcmtypes_rtcm3_1008
	drop 4 32 +field rtcm3_t_rtcmtypes_rtcm3_1008-descriptor
	drop 36 4 +field rtcm3_t_rtcmtypes_rtcm3_1008-setup_id
	drop 0 4 +field rtcm3_t_rtcmtypes_rtcm3_1008-station_id
	drop 40 32 +field rtcm3_t_rtcmtypes_rtcm3_1008-serial
drop 72 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1007
begin-structure rtcm3_t_rtcmtypes_rtcm3_1007
	drop 4 32 +field rtcm3_t_rtcmtypes_rtcm3_1007-descriptor
	drop 36 4 +field rtcm3_t_rtcmtypes_rtcm3_1007-setup_id
	drop 0 4 +field rtcm3_t_rtcmtypes_rtcm3_1007-station_id
drop 40 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1002
begin-structure rtcm3_t_rtcmtypes_rtcm3_1002
	drop 0 20 +field rtcm3_t_rtcmtypes_rtcm3_1002-header
drop 3096 end-structure
\ rtcm3_t_rtcmtypes_rtcm3_1001
begin-structure rtcm3_t_rtcmtypes_rtcm3_1001
	drop 0 20 +field rtcm3_t_rtcmtypes_rtcm3_1001-header
	drop 24 2560 +field rtcm3_t_rtcmtypes_rtcm3_1001-rtk_data
drop 2584 end-structure
\ rtcm3_1001_t
begin-structure rtcm3_1001_t
	drop 8 32 +field rtcm3_1001_t-L1
	drop 0 4 +field rtcm3_1001_t-ident
drop 40 end-structure
\ rtcm3_1002_t
begin-structure rtcm3_1002_t
	drop 8 40 +field rtcm3_1002_t-L1
	drop 0 4 +field rtcm3_1002_t-ident
drop 48 end-structure
\ rtcm3_1003_t
begin-structure rtcm3_1003_t
	drop 0 20 +field rtcm3_1003_t-header
	drop 24 4608 +field rtcm3_1003_t-rtk_data
drop 4632 end-structure
\ rtcm3_1003_t_rtk_data
begin-structure rtcm3_1003_t_rtk_data
	drop 8 32 +field rtcm3_1003_t_rtk_data-L1
	drop 0 4 +field rtcm3_1003_t_rtk_data-ident
	drop 40 32 +field rtcm3_1003_t_rtk_data-L2
drop 72 end-structure
\ rtcm3_1004_t
begin-structure rtcm3_1004_t
	drop 0 20 +field rtcm3_1004_t-header
	drop 24 5632 +field rtcm3_1004_t-rtk_data
drop 5656 end-structure
\ rtcm3_1004_t_rtk_data
begin-structure rtcm3_1004_t_rtk_data
	drop 8 40 +field rtcm3_1004_t_rtk_data-L1
	drop 0 4 +field rtcm3_1004_t_rtk_data-ident
	drop 48 40 +field rtcm3_1004_t_rtk_data-L2
drop 88 end-structure
\ rtcm3_1005_t
begin-structure rtcm3_1005_t
	drop 16 8 +field rtcm3_1005_t-ecef_x
	drop 0 4 +field rtcm3_1005_t-station_id
	drop 9 1 +field rtcm3_1005_t-single_receiver
	drop 24 8 +field rtcm3_1005_t-ecef_y
	drop 32 8 +field rtcm3_1005_t-ecef_z
	drop 4 4 +field rtcm3_1005_t-system
	drop 8 1 +field rtcm3_1005_t-reference_station
drop 40 end-structure
\ rtcm3_1006_t
begin-structure rtcm3_1006_t
	drop 16 8 +field rtcm3_1006_t-ecef_x
	drop 0 4 +field rtcm3_1006_t-station_id
	drop 9 1 +field rtcm3_1006_t-single_receiver
	drop 24 8 +field rtcm3_1006_t-ecef_y
	drop 32 8 +field rtcm3_1006_t-ecef_z
	drop 4 4 +field rtcm3_1006_t-system
	drop 40 8 +field rtcm3_1006_t-height
	drop 8 1 +field rtcm3_1006_t-reference_station
drop 48 end-structure
\ rtcm3_1009_t
begin-structure rtcm3_1009_t
	drop 8 32 +field rtcm3_1009_t-L1
	drop 0 4 +field rtcm3_1009_t-ident
drop 40 end-structure
\ rtcm3_1010_t
begin-structure rtcm3_1010_t
	drop 8 40 +field rtcm3_1010_t-L1
	drop 0 4 +field rtcm3_1010_t-ident
drop 48 end-structure
\ rtcm3_1011_t
begin-structure rtcm3_1011_t
	drop 8 40 +field rtcm3_1011_t-L1
	drop 0 4 +field rtcm3_1011_t-ident
	drop 48 40 +field rtcm3_1011_t-L2
drop 88 end-structure
\ rtcm3_1012_t
begin-structure rtcm3_1012_t
	drop 8 40 +field rtcm3_1012_t-L1
	drop 0 4 +field rtcm3_1012_t-ident
	drop 48 40 +field rtcm3_1012_t-L2
drop 88 end-structure
\ rtcm3_1013_t
begin-structure rtcm3_1013_t
	drop 2 1 +field rtcm3_1013_t-sync
	drop 0 2 +field rtcm3_1013_t-id
	drop 4 2 +field rtcm3_1013_t-interval
drop 6 end-structure
\ rtcm3_1014_t
begin-structure rtcm3_1014_t
	drop 0 4 +field rtcm3_1014_t-network_id
	drop 4 4 +field rtcm3_1014_t-subnetwork_id
	drop 12 4 +field rtcm3_1014_t-master_id
	drop 8 4 +field rtcm3_1014_t-stationcount
	drop 24 8 +field rtcm3_1014_t-d_lat
	drop 32 8 +field rtcm3_1014_t-d_lon
	drop 40 8 +field rtcm3_1014_t-d_alt
	drop 16 4 +field rtcm3_1014_t-aux_id
drop 48 end-structure
\ rtcm3_1015_t
begin-structure rtcm3_1015_t
	drop 32 2560 +field rtcm3_1015_t-corrections
	drop 0 28 +field rtcm3_1015_t-header
drop 2592 end-structure
\ rtcm3_1016_t
begin-structure rtcm3_1016_t
	drop 32 2560 +field rtcm3_1016_t-corrections
	drop 0 28 +field rtcm3_1016_t-header
drop 2592 end-structure
\ rtcm3_1017_t
begin-structure rtcm3_1017_t
	drop 32 2560 +field rtcm3_1017_t-corrections
	drop 0 28 +field rtcm3_1017_t-header
drop 2592 end-structure
\ rtcm3_1019_t
begin-structure rtcm3_1019_t
	drop 88 4 +field rtcm3_1019_t-C_sub_is
	drop 96 4 +field rtcm3_1019_t-C_sub_rc
	drop 80 4 +field rtcm3_1019_t-C_sub_ic
	drop 8 1 +field rtcm3_1019_t-sv_accuracy
	drop 4 4 +field rtcm3_1019_t-week
	drop 104 4 +field rtcm3_1019_t-omegadot
	drop 108 4 +field rtcm3_1019_t-t_sub_GD
	drop 112 1 +field rtcm3_1019_t-sv_health
	drop 114 1 +field rtcm3_1019_t-fit_interval
	drop 28 4 +field rtcm3_1019_t-t_sub_oc
	drop 40 4 +field rtcm3_1019_t-a_sub_f0
	drop 0 4 +field rtcm3_1019_t-ident
	drop 52 4 +field rtcm3_1019_t-delta_sub_n
	drop 36 4 +field rtcm3_1019_t-a_sub_f1
	drop 76 4 +field rtcm3_1019_t-t_sub_oe
	drop 32 4 +field rtcm3_1019_t-a_sub_f2
	drop 72 4 +field rtcm3_1019_t-sqrt_sub_A
	drop 100 4 +field rtcm3_1019_t-argument_of_perigee
	drop 68 4 +field rtcm3_1019_t-C_sub_us
	drop 60 4 +field rtcm3_1019_t-C_sub_uc
	drop 12 4 +field rtcm3_1019_t-code
	drop 56 4 +field rtcm3_1019_t-M_sub_0
	drop 44 4 +field rtcm3_1019_t-iodc
	drop 84 4 +field rtcm3_1019_t-OMEGA_sub_0
	drop 92 4 +field rtcm3_1019_t-i_sub_0
	drop 16 8 +field rtcm3_1019_t-idot
	drop 24 1 +field rtcm3_1019_t-iode
	drop 113 1 +field rtcm3_1019_t-p_data
	drop 48 4 +field rtcm3_1019_t-C_sub_rs
	drop 64 4 +field rtcm3_1019_t-e
drop 120 end-structure
\ rtcm3_1020_t
begin-structure rtcm3_1020_t
	drop 64 4 +field rtcm3_1020_t-tau_n_of_t_sub_b
	drop 56 4 +field rtcm3_1020_t-gamma_sub_n_of_t_sub_b
	drop 44 4 +field rtcm3_1020_t-z_sub_n_t_of_t_sub_b
	drop 14 1 +field rtcm3_1020_t-t_sub_b
	drop 20 4 +field rtcm3_1020_t-x_sub_n_t_of_t_sub_b
	drop 32 4 +field rtcm3_1020_t-y_sub_n_t_of_t_sub_b
	drop 72 4 +field rtcm3_1020_t-E_sub_n
	drop 68 4 +field rtcm3_1020_t-M_delta_tau_sub_n
	drop 6 1 +field rtcm3_1020_t-C_sub_n
	drop 48 4 +field rtcm3_1020_t-z_sub_n_t_of_t_sub_b_prime_prime
	drop 36 4 +field rtcm3_1020_t-y_sub_n_t_of_t_sub_b_prime_prime
	drop 24 4 +field rtcm3_1020_t-x_sub_n_t_of_t_sub_b_prime_prime
	drop 7 1 +field rtcm3_1020_t-health_avAilability_indicator
	drop 96 4 +field rtcm3_1020_t-M_tau_sub_GPS
	drop 0 4 +field rtcm3_1020_t-ident
	drop 10 2 +field rtcm3_1020_t-t_sub_k
	drop 80 1 +field rtcm3_1020_t-additioinal_data_availability
	drop 12 1 +field rtcm3_1020_t-msb_of_B_sub_n
	drop 100 1 +field rtcm3_1020_t-M_l_sub_n
	drop 40 4 +field rtcm3_1020_t-z_sub_n_t_of_t_sub_b_prime
	drop 16 4 +field rtcm3_1020_t-x_sub_n_t_of_t_sub_b_prime
	drop 28 4 +field rtcm3_1020_t-y_sub_n_t_of_t_sub_b_prime
	drop 8 1 +field rtcm3_1020_t-P1
	drop 13 1 +field rtcm3_1020_t-P2
	drop 52 1 +field rtcm3_1020_t-P3
	drop 76 1 +field rtcm3_1020_t-MP4
	drop 84 4 +field rtcm3_1020_t-N_sup_A
	drop 79 1 +field rtcm3_1020_t-MM
	drop 78 1 +field rtcm3_1020_t-MN_sub_T
	drop 77 1 +field rtcm3_1020_t-MF_sub_T
	drop 60 1 +field rtcm3_1020_t-MP
	drop 4 2 +field rtcm3_1020_t-channel
	drop 88 4 +field rtcm3_1020_t-tau_sub_c
	drop 92 4 +field rtcm3_1020_t-M_N_sub_4
	drop 61 1 +field rtcm3_1020_t-Ml_n
drop 104 end-structure
\ rtcm3_1029_t
begin-structure rtcm3_1029_t
	drop 4 2 +field rtcm3_1029_t-mjd
	drop 16 4 +field rtcm3_1029_t-unicode_units
	drop 0 4 +field rtcm3_1029_t-station_id
	drop 12 4 +field rtcm3_1029_t-len
	drop 8 4 +field rtcm3_1029_t-sod
	drop 20 128 +field rtcm3_1029_t-text
drop 148 end-structure
\ rtcm3_1033_t
begin-structure rtcm3_1033_t
	drop 4 32 +field rtcm3_1033_t-descriptor
	drop 36 4 +field rtcm3_1033_t-setup_id
	drop 0 4 +field rtcm3_1033_t-station_id
	drop 72 32 +field rtcm3_1033_t-receiver
	drop 40 32 +field rtcm3_1033_t-serial
	drop 104 32 +field rtcm3_1033_t-firmware
drop 136 end-structure
\ almanac_t
begin-structure almanac_t
	drop 80 8 +field almanac_t-d_af0
	drop 32 8 +field almanac_t-d_M0
	drop 120 4 +field almanac_t-sqrtA
	drop 96 8 +field almanac_t-d_af1
	drop 64 8 +field almanac_t-d_omega
	drop 48 8 +field almanac_t-d_Omega0
	drop 8 1 +field almanac_t-svh
	drop 112 8 +field almanac_t-d_eccentricity
	drop 144 8 +field almanac_t-d_Omegad
	drop 0 1 +field almanac_t-sv
	drop 40 4 +field almanac_t-Omega0
	drop 56 4 +field almanac_t-omega
	drop 10 2 +field almanac_t-deltai
	drop 136 2 +field almanac_t-Omegad
	drop 72 2 +field almanac_t-af0
	drop 88 2 +field almanac_t-af1
	drop 128 8 +field almanac_t-d_sqrtA
	drop 24 4 +field almanac_t-M0
	drop 16 8 +field almanac_t-d_deltai
	drop 4 4 +field almanac_t-l_toa
	drop 1 1 +field almanac_t-toa
	drop 104 2 +field almanac_t-e
drop 152 end-structure
\ subframe_t
begin-structure subframe_t
	drop 24 152 +field subframe_t-sub5
	drop 24 24 +field subframe_t-sub4_17
	drop 24 184 +field subframe_t-sub4_18
	drop 1 1 +field subframe_t-data_id
	drop 24 36 +field subframe_t-sub5_25
	drop 0 1 +field subframe_t-subframe_num
	drop 14 1 +field subframe_t-antispoof
	drop 8 4 +field subframe_t-l_TOW17
	drop 16 4 +field subframe_t-is_almanac
	drop 13 1 +field subframe_t-alert
	drop 24 88 +field subframe_t-sub1
	drop 3 1 +field subframe_t-tSVID
	drop 2 1 +field subframe_t-pageid
	drop 12 1 +field subframe_t-integrity
	drop 24 120 +field subframe_t-sub2
	drop 4 4 +field subframe_t-TOW17
	drop 24 34 +field subframe_t-sub4_13
	drop 24 41 +field subframe_t-sub4_25
	drop 24 128 +field subframe_t-sub3
	drop 24 152 +field subframe_t-sub4
drop 208 end-structure
\ route_info
begin-structure route_info
	drop 36 128 +field route_info-waypoints
	drop 16 4 +field route_info-day
	drop 28 4 +field route_info-duration
	drop 32 4 +field route_info-waycount
	drop 4 4 +field route_info-sender
	drop 8 4 +field route_info-rtype
	drop 12 4 +field route_info-month
	drop 20 4 +field route_info-hour
	drop 24 4 +field route_info-minute
	drop 0 4 +field route_info-linkage
drop 164 end-structure
\ waypoint_t
begin-structure waypoint_t
	drop 0 4 +field waypoint_t-lon
	drop 4 4 +field waypoint_t-lat
drop 8 end-structure
\ ais_t
begin-structure ais_t
	drop 8 4 +field ais_t-mmsi
	drop 12 180 +field ais_t-type8
	drop 12 64 +field ais_t-type20
	drop 12 44 +field ais_t-type9
	drop 12 84 +field ais_t-type21
	drop 12 4 +field ais_t-type10
	drop 12 40 +field ais_t-type22
	drop 12 36 +field ais_t-type23
	drop 12 168 +field ais_t-type12
	drop 12 72 +field ais_t-type24
	drop 12 32 +field ais_t-type25
	drop 12 161 +field ais_t-type14
	drop 12 148 +field ais_t-type26
	drop 4 4 +field ais_t-repeat
	drop 12 32 +field ais_t-type15
	drop 12 28 +field ais_t-type27
	drop 12 24 +field ais_t-type16
	drop 12 104 +field ais_t-type17
	drop 12 48 +field ais_t-type1
	drop 12 48 +field ais_t-type18
	drop 0 4 +field ais_t-type
	drop 12 96 +field ais_t-type19
	drop 12 48 +field ais_t-type4
	drop 12 112 +field ais_t-type5
	drop 12 260 +field ais_t-type6
	drop 12 16 +field ais_t-type7
drop 272 end-structure
\ cargo_t
begin-structure cargo_t
	drop 0 4 +field cargo_t-code
	drop 4 4 +field cargo_t-subtype
drop 8 end-structure
\ tidal_t
begin-structure tidal_t
	drop 0 4 +field tidal_t-lon
	drop 24 4 +field tidal_t-cdir
	drop 12 4 +field tidal_t-from_min
	drop 16 4 +field tidal_t-to_hour
	drop 28 4 +field tidal_t-cspeed
	drop 8 4 +field tidal_t-from_hour
	drop 20 4 +field tidal_t-to_min
	drop 4 4 +field tidal_t-lat
drop 32 end-structure
\ gauge_t
begin-structure gauge_t
	drop 4 4 +field gauge_t-level
	drop 0 4 +field gauge_t-id
drop 8 end-structure
\ target_id
begin-structure target_id
	drop 0 4 +field target_id-imo
	drop 0 8 +field target_id-callsign
	drop 0 4 +field target_id-mmsi
	drop 0 8 +field target_id-other
drop 8 end-structure
\ target_t
begin-structure target_t
	drop 16 4 +field target_t-lon
	drop 4 8 +field target_t-id
	drop 24 4 +field target_t-second
	drop 0 4 +field target_t-idtype
	drop 28 4 +field target_t-speed
	drop 12 4 +field target_t-lat
	drop 20 4 +field target_t-course
drop 32 end-structure
\ attitude_t
begin-structure attitude_t
	drop 96 8 +field attitude_t-acc_z
	drop 138 1 +field attitude_t-roll_st
	drop 48 8 +field attitude_t-mag_x
	drop 24 8 +field attitude_t-yaw
	drop 56 8 +field attitude_t-mag_y
	drop 16 8 +field attitude_t-roll
	drop 64 8 +field attitude_t-mag_z
	drop 137 1 +field attitude_t-pitch_st
	drop 40 8 +field attitude_t-mag_len
	drop 0 8 +field attitude_t-heading
	drop 128 8 +field attitude_t-depth
	drop 139 1 +field attitude_t-yaw_st
	drop 32 8 +field attitude_t-dip
	drop 8 8 +field attitude_t-pitch
	drop 136 1 +field attitude_t-mag_st
	drop 104 8 +field attitude_t-gyro_x
	drop 72 8 +field attitude_t-acc_len
	drop 80 8 +field attitude_t-acc_x
	drop 112 8 +field attitude_t-gyro_y
	drop 88 8 +field attitude_t-acc_y
	drop 120 8 +field attitude_t-temp
drop 144 end-structure
\ dop_t
begin-structure dop_t
	drop 16 8 +field dop_t-pdop
	drop 0 8 +field dop_t-xdop
	drop 8 8 +field dop_t-ydop
	drop 40 8 +field dop_t-tdop
	drop 48 8 +field dop_t-gdop
	drop 24 8 +field dop_t-hdop
	drop 32 8 +field dop_t-vdop
drop 56 end-structure
\ rawdata_t
begin-structure rawdata_t
	drop 1152 576 +field rawdata_t-pseudorange
	drop 1728 576 +field rawdata_t-deltarange
	drop 3456 288 +field rawdata_t-satstat
	drop 0 576 +field rawdata_t-codephase
	drop 2304 576 +field rawdata_t-doppler
	drop 2880 576 +field rawdata_t-mtime
	drop 576 576 +field rawdata_t-carrierphase
drop 3744 end-structure
\ version_t
begin-structure version_t
	drop 136 1024 +field version_t-remote
	drop 64 64 +field version_t-rev
	drop 132 4 +field version_t-proto_minor
	drop 0 64 +field version_t-release
	drop 128 4 +field version_t-proto_major
drop 4232 end-structure
\ devconfig_t
begin-structure devconfig_t
	drop 4248 1 +field devconfig_t-parity
	drop 4100 64 +field devconfig_t-driver
	drop 4232 8 +field devconfig_t-activated
	drop 4244 4 +field devconfig_t-stopbits
	drop 4256 8 +field devconfig_t-cycle
	drop 4264 8 +field devconfig_t-mincycle
	drop 4272 4 +field devconfig_t-driver_mode
	drop 4164 64 +field devconfig_t-subtype
	drop 4096 4 +field devconfig_t-flags
	drop 0 1024 +field devconfig_t-path
	drop 4240 4 +field devconfig_t-baudrate
drop 4280 end-structure
\ policy_t
begin-structure policy_t
	drop 4 4 +field policy_t-raw
	drop 9 1 +field policy_t-timing
	drop 12 4 +field policy_t-loglevel
	drop 4112 1024 +field policy_t-remote
	drop 1 1 +field policy_t-json
	drop 0 1 +field policy_t-watcher
	drop 2 1 +field policy_t-nmea
	drop 10 1 +field policy_t-split24
	drop 11 1 +field policy_t-pps
	drop 8 1 +field policy_t-scaled
	drop 16 1024 +field policy_t-devpath
drop 8208 end-structure
\ timedrift_t
begin-structure timedrift_t
	drop 0 8 +field timedrift_t-real
	drop 8 8 +field timedrift_t-clock
drop 16 end-structure
\ gps_data_t
begin-structure gps_data_t
	drop 160 288 +field gps_data_t-used
	drop 0 8 +field gps_data_t-set
	drop 448 56 +field gps_data_t-dop
	drop 14472 144 +field gps_data_t-attitude
	drop 16 4 +field gps_data_t-gps_fd
	drop 14472 784 +field gps_data_t-rtcm2
	drop 14472 5664 +field gps_data_t-rtcm3
	drop 14472 17136 +field gps_data_t-devices
	drop 1392 576 +field gps_data_t-ss
	drop 14472 272 +field gps_data_t-ais
	drop 512 8 +field gps_data_t-skyview_time
	drop 812 288 +field gps_data_t-elevation
	drop 14472 3744 +field gps_data_t-raw
	drop 6248 8208 +field gps_data_t-policy
	drop 504 8 +field gps_data_t-epe
	drop 14472 208 +field gps_data_t-subframe
	drop 14472 64 +field gps_data_t-gst
	drop 1100 288 +field gps_data_t-azimuth
	drop 1968 4280 +field gps_data_t-dev
	drop 14472 16 +field gps_data_t-timedrift
	drop 156 4 +field gps_data_t-satellites_used
	drop 14472 4232 +field gps_data_t-version
	drop 24 120 +field gps_data_t-fix
	drop 31608 4 +field gps_data_t-privdata
	drop 524 288 +field gps_data_t-PRN
	drop 152 4 +field gps_data_t-status
	drop 14472 256 +field gps_data_t-error
	drop 520 4 +field gps_data_t-satellites_visible
	drop 144 8 +field gps_data_t-separation
	drop 8 8 +field gps_data_t-online
	drop 14456 9 +field gps_data_t-tag
drop 31616 end-structure

\ ------===< functions >===-------
c-function gps_open gps_open s s a -- n	( <noname> <noname> <noname> -- )
c-function gps_close gps_close a -- n	( <noname> -- )
c-function gps_send gps_send a s ... -- n	( <noname> <noname> <noname> -- )
c-function gps_read gps_read a -- n	( <noname> -- )
c-function gps_unpack gps_unpack a a -- n	( <noname> <noname> -- )
c-function gps_waiting gps_waiting a n -- n	( <noname> <noname> -- )
c-function gps_stream gps_stream a u a -- n	( <noname> <noname> <noname> -- )
c-function gps_mainloop gps_mainloop a n a -- n	( <noname> <noname> <noname> -- )
c-function gps_data gps_data a -- s	( <noname> -- )
c-function gps_errstr gps_errstr n -- s	( <noname> -- )
c-function json_pps_read json_pps_read s a a -- n	( buf <noname> <noname> -- )
c-function libgps_trace libgps_trace n s ... -- void	( errlevel <noname> <noname> -- )
c-function gps_clear_fix gps_clear_fix a -- void	( <noname> -- )
c-function gps_clear_dop gps_clear_dop a -- void	( <noname> -- )
c-function gps_merge_fix gps_merge_fix a ud a -- void	( <noname> <noname> <noname> -- )
c-function gps_enable_debug gps_enable_debug n a -- void	( <noname> <noname> -- )
c-function gps_maskdump gps_maskdump ud -- s	( <noname> -- )
c-function safe_atof safe_atof s -- r	( <noname> -- )
c-function mkgmtime mkgmtime a -- n	( <noname> -- )
c-function timestamp timestamp  -- r	( -- )
c-function iso8601_to_unix iso8601_to_unix a -- r	( <noname> -- )
c-function unix_to_iso8601 unix_to_iso8601 r a n -- a	( t <noname> len -- )
c-function earth_distance earth_distance r r r r -- r	( <noname> <noname> <noname> <noname> -- )
c-function earth_distance_and_bearings earth_distance_and_bearings r r r r a a -- r	( <noname> <noname> <noname> <noname> <noname> <noname> -- )
c-function wgs84_separation wgs84_separation r r -- r	( <noname> <noname> -- )
c-function strlcat strlcat a s n -- n	( dst src size -- )
c-function strlcpy strlcpy a s n -- n	( dst src size -- )

\ ----===< postfix >===-----
end-c-library
