\ This file has been generated using SWIG and fsi,
\ and is already platform dependent, search for the corresponding
\ fsi-file to compile it where no one has compiled it before ;)
\ Forth systems have their own own dynamic loader and don't need addional C-Code.
\ That's why this file will just print normal forth-code once compiled
\ and can be used directly with include or require.
\ As all comments are stripped during the compilation, please
\ insert the copyright notice of the original file here.

\ ----===< prefix >===-----
c-library v4l2
s" v4l2" add-lib
\c #include <linux/videodev2.h>
\c #include <linux/v4l2-mediabus.h>
\c #include <linux/v4l2-subdev.h>
\c #include <linux/v4l2-dv-timings.h>
\c #ifdef __gnu_linux__
\c #undef stderr
\c extern struct _IO_FILE *stderr;
\c #endif

\ ----===< int constants >===-----
#32	constant VIDEO_MAX_FRAME
#8	constant VIDEO_MAX_PLANES
#1	constant V4L2_CAP_VIDEO_CAPTURE
#2	constant V4L2_CAP_VIDEO_OUTPUT
#4	constant V4L2_CAP_VIDEO_OVERLAY
#16	constant V4L2_CAP_VBI_CAPTURE
#32	constant V4L2_CAP_VBI_OUTPUT
#64	constant V4L2_CAP_SLICED_VBI_CAPTURE
#128	constant V4L2_CAP_SLICED_VBI_OUTPUT
#256	constant V4L2_CAP_RDS_CAPTURE
#512	constant V4L2_CAP_VIDEO_OUTPUT_OVERLAY
#1024	constant V4L2_CAP_HW_FREQ_SEEK
#2048	constant V4L2_CAP_RDS_OUTPUT
#4096	constant V4L2_CAP_VIDEO_CAPTURE_MPLANE
#8192	constant V4L2_CAP_VIDEO_OUTPUT_MPLANE
#16384	constant V4L2_CAP_VIDEO_M2M_MPLANE
#32768	constant V4L2_CAP_VIDEO_M2M
#65536	constant V4L2_CAP_TUNER
#131072	constant V4L2_CAP_AUDIO
#262144	constant V4L2_CAP_RADIO
#524288	constant V4L2_CAP_MODULATOR
#1048576	constant V4L2_CAP_SDR_CAPTURE
#2097152	constant V4L2_CAP_EXT_PIX_FORMAT
#4194304	constant V4L2_CAP_SDR_OUTPUT
#16777216	constant V4L2_CAP_READWRITE
#33554432	constant V4L2_CAP_ASYNCIO
#67108864	constant V4L2_CAP_STREAMING
#-2147483648	constant V4L2_CAP_DEVICE_CAPS
#-17970434	constant V4L2_PIX_FMT_PRIV_MAGIC
#1	constant V4L2_PIX_FMT_FLAG_PREMUL_ALPHA
#1	constant V4L2_FMT_FLAG_COMPRESSED
#2	constant V4L2_FMT_FLAG_EMULATED
#1	constant V4L2_TC_TYPE_24FPS
#2	constant V4L2_TC_TYPE_25FPS
#3	constant V4L2_TC_TYPE_30FPS
#4	constant V4L2_TC_TYPE_50FPS
#5	constant V4L2_TC_TYPE_60FPS
#1	constant V4L2_TC_FLAG_DROPFRAME
#2	constant V4L2_TC_FLAG_COLORFRAME
#12	constant V4L2_TC_USERBITS_field
#0	constant V4L2_TC_USERBITS_USERDEFINED
#8	constant V4L2_TC_USERBITS_8BITCHARS
#8	constant V4L2_JPEG_MARKER_DHT
#16	constant V4L2_JPEG_MARKER_DQT
#32	constant V4L2_JPEG_MARKER_DRI
#64	constant V4L2_JPEG_MARKER_COM
#128	constant V4L2_JPEG_MARKER_APP
#1	constant V4L2_BUF_FLAG_MAPPED
#2	constant V4L2_BUF_FLAG_QUEUED
#4	constant V4L2_BUF_FLAG_DONE
#8	constant V4L2_BUF_FLAG_KEYFRAME
#16	constant V4L2_BUF_FLAG_PFRAME
#32	constant V4L2_BUF_FLAG_BFRAME
#64	constant V4L2_BUF_FLAG_ERROR
#256	constant V4L2_BUF_FLAG_TIMECODE
#1024	constant V4L2_BUF_FLAG_PREPARED
#2048	constant V4L2_BUF_FLAG_NO_CACHE_INVALIDATE
#4096	constant V4L2_BUF_FLAG_NO_CACHE_CLEAN
#57344	constant V4L2_BUF_FLAG_TIMESTAMP_MASK
#0	constant V4L2_BUF_FLAG_TIMESTAMP_UNKNOWN
#8192	constant V4L2_BUF_FLAG_TIMESTAMP_MONOTONIC
#16384	constant V4L2_BUF_FLAG_TIMESTAMP_COPY
#458752	constant V4L2_BUF_FLAG_TSTAMP_SRC_MASK
#0	constant V4L2_BUF_FLAG_TSTAMP_SRC_EOF
#65536	constant V4L2_BUF_FLAG_TSTAMP_SRC_SOE
#1048576	constant V4L2_BUF_FLAG_LAST
#1	constant V4L2_FBUF_CAP_EXTERNOVERLAY
#2	constant V4L2_FBUF_CAP_CHROMAKEY
#4	constant V4L2_FBUF_CAP_LIST_CLIPPING
#8	constant V4L2_FBUF_CAP_BITMAP_CLIPPING
#16	constant V4L2_FBUF_CAP_LOCAL_ALPHA
#32	constant V4L2_FBUF_CAP_GLOBAL_ALPHA
#64	constant V4L2_FBUF_CAP_LOCAL_INV_ALPHA
#128	constant V4L2_FBUF_CAP_SRC_CHROMAKEY
#1	constant V4L2_FBUF_FLAG_PRIMARY
#2	constant V4L2_FBUF_FLAG_OVERLAY
#4	constant V4L2_FBUF_FLAG_CHROMAKEY
#8	constant V4L2_FBUF_FLAG_LOCAL_ALPHA
#16	constant V4L2_FBUF_FLAG_GLOBAL_ALPHA
#32	constant V4L2_FBUF_FLAG_LOCAL_INV_ALPHA
#64	constant V4L2_FBUF_FLAG_SRC_CHROMAKEY
#1	constant V4L2_MODE_HIGHQUALITY
#4096	constant V4L2_CAP_TIMEPERFRAME
#0	constant V4L2_STD_UNKNOWN
#0	constant V4L2_DV_PROGRESSIVE
#1	constant V4L2_DV_INTERLACED
#1	constant V4L2_DV_VSYNC_POS_POL
#2	constant V4L2_DV_HSYNC_POS_POL
#1	constant V4L2_DV_BT_STD_CEA861
#2	constant V4L2_DV_BT_STD_DMT
#4	constant V4L2_DV_BT_STD_CVT
#8	constant V4L2_DV_BT_STD_GTF
#1	constant V4L2_DV_FL_REDUCED_BLANKING
#2	constant V4L2_DV_FL_CAN_REDUCE_FPS
#4	constant V4L2_DV_FL_REDUCED_FPS
#8	constant V4L2_DV_FL_HALF_LINE
#16	constant V4L2_DV_FL_IS_CE_VIDEO
#0	constant V4L2_DV_BT_656_1120
#1	constant V4L2_DV_BT_CAP_INTERLACED
#2	constant V4L2_DV_BT_CAP_PROGRESSIVE
#4	constant V4L2_DV_BT_CAP_REDUCED_BLANKING
#8	constant V4L2_DV_BT_CAP_CUSTOM
#1	constant V4L2_INPUT_TYPE_TUNER
#2	constant V4L2_INPUT_TYPE_CAMERA
#1	constant V4L2_IN_ST_NO_POWER
#2	constant V4L2_IN_ST_NO_SIGNAL
#4	constant V4L2_IN_ST_NO_COLOR
#16	constant V4L2_IN_ST_HFLIP
#32	constant V4L2_IN_ST_VFLIP
#256	constant V4L2_IN_ST_NO_H_LOCK
#512	constant V4L2_IN_ST_COLOR_KILL
#65536	constant V4L2_IN_ST_NO_SYNC
#131072	constant V4L2_IN_ST_NO_EQU
#262144	constant V4L2_IN_ST_NO_CARRIER
#16777216	constant V4L2_IN_ST_MACROVISION
#33554432	constant V4L2_IN_ST_NO_ACCESS
#67108864	constant V4L2_IN_ST_VTR
#2	constant V4L2_IN_CAP_DV_TIMINGS
#2	constant V4L2_IN_CAP_CUSTOM_TIMINGS
#4	constant V4L2_IN_CAP_STD
#8	constant V4L2_IN_CAP_NATIVE_SIZE
#1	constant V4L2_OUTPUT_TYPE_MODULATOR
#2	constant V4L2_OUTPUT_TYPE_ANALOG
#3	constant V4L2_OUTPUT_TYPE_ANALOGVGAOVERLAY
#2	constant V4L2_OUT_CAP_DV_TIMINGS
#2	constant V4L2_OUT_CAP_CUSTOM_TIMINGS
#4	constant V4L2_OUT_CAP_STD
#8	constant V4L2_OUT_CAP_NATIVE_SIZE
#268435455	constant V4L2_CTRL_ID_MASK
#4	constant V4L2_CTRL_MAX_DIMS
#1	constant V4L2_CTRL_FLAG_DISABLED
#2	constant V4L2_CTRL_FLAG_GRABBED
#4	constant V4L2_CTRL_FLAG_READ_ONLY
#8	constant V4L2_CTRL_FLAG_UPDATE
#16	constant V4L2_CTRL_FLAG_INACTIVE
#32	constant V4L2_CTRL_FLAG_SLIDER
#64	constant V4L2_CTRL_FLAG_WRITE_ONLY
#128	constant V4L2_CTRL_FLAG_VOLATILE
#256	constant V4L2_CTRL_FLAG_HAS_PAYLOAD
#512	constant V4L2_CTRL_FLAG_EXECUTE_ON_WRITE
#-2147483648	constant V4L2_CTRL_FLAG_NEXT_CTRL
#1073741824	constant V4L2_CTRL_FLAG_NEXT_COMPOUND
#1024	constant V4L2_CID_MAX_CTRLS
#134217728	constant V4L2_CID_PRIVATE_BASE
#1	constant V4L2_TUNER_CAP_LOW
#2	constant V4L2_TUNER_CAP_NORM
#4	constant V4L2_TUNER_CAP_HWSEEK_BOUNDED
#8	constant V4L2_TUNER_CAP_HWSEEK_WRAP
#16	constant V4L2_TUNER_CAP_STEREO
#32	constant V4L2_TUNER_CAP_LANG2
#32	constant V4L2_TUNER_CAP_SAP
#64	constant V4L2_TUNER_CAP_LANG1
#128	constant V4L2_TUNER_CAP_RDS
#256	constant V4L2_TUNER_CAP_RDS_BLOCK_IO
#512	constant V4L2_TUNER_CAP_RDS_CONTROLS
#1024	constant V4L2_TUNER_CAP_FREQ_BANDS
#2048	constant V4L2_TUNER_CAP_HWSEEK_PROG_LIM
#4096	constant V4L2_TUNER_CAP_1HZ
#1	constant V4L2_TUNER_SUB_MONO
#2	constant V4L2_TUNER_SUB_STEREO
#4	constant V4L2_TUNER_SUB_LANG2
#4	constant V4L2_TUNER_SUB_SAP
#8	constant V4L2_TUNER_SUB_LANG1
#16	constant V4L2_TUNER_SUB_RDS
#0	constant V4L2_TUNER_MODE_MONO
#1	constant V4L2_TUNER_MODE_STEREO
#2	constant V4L2_TUNER_MODE_LANG2
#2	constant V4L2_TUNER_MODE_SAP
#3	constant V4L2_TUNER_MODE_LANG1
#4	constant V4L2_TUNER_MODE_LANG1_LANG2
#2	constant V4L2_BAND_MODULATION_VSB
#4	constant V4L2_BAND_MODULATION_FM
#8	constant V4L2_BAND_MODULATION_AM
#7	constant V4L2_RDS_BLOCK_MSK
#0	constant V4L2_RDS_BLOCK_A
#1	constant V4L2_RDS_BLOCK_B
#2	constant V4L2_RDS_BLOCK_C
#3	constant V4L2_RDS_BLOCK_D
#4	constant V4L2_RDS_BLOCK_C_ALT
#7	constant V4L2_RDS_BLOCK_INVALID
#64	constant V4L2_RDS_BLOCK_CORRECTED
#128	constant V4L2_RDS_BLOCK_ERROR
#1	constant V4L2_AUDCAP_STEREO
#2	constant V4L2_AUDCAP_AVL
#1	constant V4L2_AUDMODE_AVL
#0	constant V4L2_ENC_IDX_FRAME_I
#1	constant V4L2_ENC_IDX_FRAME_P
#2	constant V4L2_ENC_IDX_FRAME_B
#15	constant V4L2_ENC_IDX_FRAME_MASK
#64	constant V4L2_ENC_IDX_ENTRIES
#0	constant V4L2_ENC_CMD_START
#1	constant V4L2_ENC_CMD_STOP
#2	constant V4L2_ENC_CMD_PAUSE
#3	constant V4L2_ENC_CMD_RESUME
#1	constant V4L2_ENC_CMD_STOP_AT_GOP_END
#0	constant V4L2_DEC_CMD_START
#1	constant V4L2_DEC_CMD_STOP
#2	constant V4L2_DEC_CMD_PAUSE
#3	constant V4L2_DEC_CMD_RESUME
#1	constant V4L2_DEC_CMD_START_MUTE_AUDIO
#1	constant V4L2_DEC_CMD_PAUSE_TO_BLACK
#1	constant V4L2_DEC_CMD_STOP_TO_BLACK
#2	constant V4L2_DEC_CMD_STOP_IMMEDIATELY
#0	constant V4L2_DEC_START_FMT_NONE
#1	constant V4L2_DEC_START_FMT_GOP
#1	constant V4L2_VBI_UNSYNC
#2	constant V4L2_VBI_INTERLACED
#1	constant V4L2_VBI_ITU_525_F1_START
#264	constant V4L2_VBI_ITU_525_F2_START
#1	constant V4L2_VBI_ITU_625_F1_START
#314	constant V4L2_VBI_ITU_625_F2_START
#1	constant V4L2_SLICED_TELETEXT_B
#1024	constant V4L2_SLICED_VPS
#4096	constant V4L2_SLICED_CAPTION_525
#16384	constant V4L2_SLICED_WSS_625
#4096	constant V4L2_SLICED_VBI_525
#17409	constant V4L2_SLICED_VBI_625
#1	constant V4L2_MPEG_VBI_IVTV_TELETEXT_B
#4	constant V4L2_MPEG_VBI_IVTV_CAPTION_525
#5	constant V4L2_MPEG_VBI_IVTV_WSS_625
#7	constant V4L2_MPEG_VBI_IVTV_VPS
#0	constant V4L2_EVENT_ALL
#1	constant V4L2_EVENT_VSYNC
#2	constant V4L2_EVENT_EOS
#3	constant V4L2_EVENT_CTRL
#4	constant V4L2_EVENT_FRAME_SYNC
#5	constant V4L2_EVENT_SOURCE_CHANGE
#6	constant V4L2_EVENT_MOTION_DET
#134217728	constant V4L2_EVENT_PRIVATE_START
#1	constant V4L2_EVENT_CTRL_CH_VALUE
#2	constant V4L2_EVENT_CTRL_CH_FLAGS
#4	constant V4L2_EVENT_CTRL_CH_RANGE
#1	constant V4L2_EVENT_SRC_CH_RESOLUTION
#1	constant V4L2_EVENT_MD_FL_HAVE_FRAME_SEQ
#1	constant V4L2_EVENT_SUB_FL_SEND_INITIAL
#2	constant V4L2_EVENT_SUB_FL_ALLOW_FEEDBACK
#0	constant V4L2_CHIP_MATCH_BRIDGE
#4	constant V4L2_CHIP_MATCH_SUBDEV
#0	constant V4L2_CHIP_MATCH_HOST
#1	constant V4L2_CHIP_MATCH_I2C_DRIVER
#2	constant V4L2_CHIP_MATCH_I2C_ADDR
#3	constant V4L2_CHIP_MATCH_AC97
#1	constant V4L2_CHIP_FL_READABLE
#2	constant V4L2_CHIP_FL_WRITABLE
#192	constant BASE_VIDIOC_PRIVATE
#0	constant V4L2_SEL_TGT_CROP
#1	constant V4L2_SEL_TGT_CROP_DEFAULT
#2	constant V4L2_SEL_TGT_CROP_BOUNDS
#3	constant V4L2_SEL_TGT_NATIVE_SIZE
#256	constant V4L2_SEL_TGT_COMPOSE
#257	constant V4L2_SEL_TGT_COMPOSE_DEFAULT
#258	constant V4L2_SEL_TGT_COMPOSE_BOUNDS
#259	constant V4L2_SEL_TGT_COMPOSE_PADDED
#0	constant V4L2_SEL_TGT_CROP_ACTIVE
#256	constant V4L2_SEL_TGT_COMPOSE_ACTIVE
#0	constant V4L2_SUBDEV_SEL_TGT_CROP_ACTUAL
#256	constant V4L2_SUBDEV_SEL_TGT_COMPOSE_ACTUAL
#2	constant V4L2_SUBDEV_SEL_TGT_CROP_BOUNDS
#258	constant V4L2_SUBDEV_SEL_TGT_COMPOSE_BOUNDS
#1	constant V4L2_SEL_FLAG_GE
#2	constant V4L2_SEL_FLAG_LE
#4	constant V4L2_SEL_FLAG_KEEP_CONFIG
#1	constant V4L2_SUBDEV_SEL_FLAG_SIZE_GE
#2	constant V4L2_SUBDEV_SEL_FLAG_SIZE_LE
#4	constant V4L2_SUBDEV_SEL_FLAG_KEEP_CONFIG
#9961472	constant V4L2_CTRL_CLASS_USER
#10027008	constant V4L2_CTRL_CLASS_MPEG
#10092544	constant V4L2_CTRL_CLASS_CAMERA
#10158080	constant V4L2_CTRL_CLASS_FM_TX
#10223616	constant V4L2_CTRL_CLASS_FLASH
#10289152	constant V4L2_CTRL_CLASS_JPEG
#10354688	constant V4L2_CTRL_CLASS_IMAGE_SOURCE
#10420224	constant V4L2_CTRL_CLASS_IMAGE_PROC
#10485760	constant V4L2_CTRL_CLASS_DV
#10551296	constant V4L2_CTRL_CLASS_FM_RX
#10616832	constant V4L2_CTRL_CLASS_RF_TUNER
#10682368	constant V4L2_CTRL_CLASS_DETECT
#9963776	constant V4L2_CID_BASE
#9963776	constant V4L2_CID_USER_BASE
#9961473	constant V4L2_CID_USER_CLASS
#9963776	constant V4L2_CID_BRIGHTNESS
#9963777	constant V4L2_CID_CONTRAST
#9963778	constant V4L2_CID_SATURATION
#9963779	constant V4L2_CID_HUE
#9963781	constant V4L2_CID_AUDIO_VOLUME
#9963782	constant V4L2_CID_AUDIO_BALANCE
#9963783	constant V4L2_CID_AUDIO_BASS
#9963784	constant V4L2_CID_AUDIO_TREBLE
#9963785	constant V4L2_CID_AUDIO_MUTE
#9963786	constant V4L2_CID_AUDIO_LOUDNESS
#9963787	constant V4L2_CID_BLACK_LEVEL
#9963788	constant V4L2_CID_AUTO_WHITE_BALANCE
#9963789	constant V4L2_CID_DO_WHITE_BALANCE
#9963790	constant V4L2_CID_RED_BALANCE
#9963791	constant V4L2_CID_BLUE_BALANCE
#9963792	constant V4L2_CID_GAMMA
#9963792	constant V4L2_CID_WHITENESS
#9963793	constant V4L2_CID_EXPOSURE
#9963794	constant V4L2_CID_AUTOGAIN
#9963795	constant V4L2_CID_GAIN
#9963796	constant V4L2_CID_HFLIP
#9963797	constant V4L2_CID_VFLIP
#9963800	constant V4L2_CID_POWER_LINE_FREQUENCY
#9963801	constant V4L2_CID_HUE_AUTO
#9963802	constant V4L2_CID_WHITE_BALANCE_TEMPERATURE
#9963803	constant V4L2_CID_SHARPNESS
#9963804	constant V4L2_CID_BACKLIGHT_COMPENSATION
#9963805	constant V4L2_CID_CHROMA_AGC
#9963806	constant V4L2_CID_COLOR_KILLER
#9963807	constant V4L2_CID_COLORFX
#9963808	constant V4L2_CID_AUTOBRIGHTNESS
#9963809	constant V4L2_CID_BAND_STOP_FILTER
#9963810	constant V4L2_CID_ROTATE
#9963811	constant V4L2_CID_BG_COLOR
#9963812	constant V4L2_CID_CHROMA_GAIN
#9963813	constant V4L2_CID_ILLUMINATORS_1
#9963814	constant V4L2_CID_ILLUMINATORS_2
#9963815	constant V4L2_CID_MIN_BUFFERS_FOR_CAPTURE
#9963816	constant V4L2_CID_MIN_BUFFERS_FOR_OUTPUT
#9963817	constant V4L2_CID_ALPHA_COMPONENT
#9963818	constant V4L2_CID_COLORFX_CBCR
#9963819	constant V4L2_CID_LASTP1
#9967872	constant V4L2_CID_USER_MEYE_BASE
#9967888	constant V4L2_CID_USER_BTTV_BASE
#9967920	constant V4L2_CID_USER_S2255_BASE
#9967936	constant V4L2_CID_USER_SI476X_BASE
#9967952	constant V4L2_CID_USER_TI_VPE_BASE
#9967968	constant V4L2_CID_USER_SAA7134_BASE
#9967984	constant V4L2_CID_USER_ADV7180_BASE
#9968000	constant V4L2_CID_USER_TC358743_BASE
#10029312	constant V4L2_CID_MPEG_BASE
#10027009	constant V4L2_CID_MPEG_CLASS
#10029312	constant V4L2_CID_MPEG_STREAM_TYPE
#10029313	constant V4L2_CID_MPEG_STREAM_PID_PMT
#10029314	constant V4L2_CID_MPEG_STREAM_PID_AUDIO
#10029315	constant V4L2_CID_MPEG_STREAM_PID_VIDEO
#10029316	constant V4L2_CID_MPEG_STREAM_PID_PCR
#10029317	constant V4L2_CID_MPEG_STREAM_PES_ID_AUDIO
#10029318	constant V4L2_CID_MPEG_STREAM_PES_ID_VIDEO
#10029319	constant V4L2_CID_MPEG_STREAM_VBI_FMT
#10029412	constant V4L2_CID_MPEG_AUDIO_SAMPLING_FREQ
#10029413	constant V4L2_CID_MPEG_AUDIO_ENCODING
#10029414	constant V4L2_CID_MPEG_AUDIO_L1_BITRATE
#10029415	constant V4L2_CID_MPEG_AUDIO_L2_BITRATE
#10029416	constant V4L2_CID_MPEG_AUDIO_L3_BITRATE
#10029417	constant V4L2_CID_MPEG_AUDIO_MODE
#10029418	constant V4L2_CID_MPEG_AUDIO_MODE_EXTENSION
#10029419	constant V4L2_CID_MPEG_AUDIO_EMPHASIS
#10029420	constant V4L2_CID_MPEG_AUDIO_CRC
#10029421	constant V4L2_CID_MPEG_AUDIO_MUTE
#10029422	constant V4L2_CID_MPEG_AUDIO_AAC_BITRATE
#10029423	constant V4L2_CID_MPEG_AUDIO_AC3_BITRATE
#10029424	constant V4L2_CID_MPEG_AUDIO_DEC_PLAYBACK
#10029425	constant V4L2_CID_MPEG_AUDIO_DEC_MULTILINGUAL_PLAYBACK
#10029512	constant V4L2_CID_MPEG_VIDEO_ENCODING
#10029513	constant V4L2_CID_MPEG_VIDEO_ASPECT
#10029514	constant V4L2_CID_MPEG_VIDEO_B_FRAMES
#10029515	constant V4L2_CID_MPEG_VIDEO_GOP_SIZE
#10029516	constant V4L2_CID_MPEG_VIDEO_GOP_CLOSURE
#10029517	constant V4L2_CID_MPEG_VIDEO_PULLDOWN
#10029518	constant V4L2_CID_MPEG_VIDEO_BITRATE_MODE
#10029519	constant V4L2_CID_MPEG_VIDEO_BITRATE
#10029520	constant V4L2_CID_MPEG_VIDEO_BITRATE_PEAK
#10029521	constant V4L2_CID_MPEG_VIDEO_TEMPORAL_DECIMATION
#10029522	constant V4L2_CID_MPEG_VIDEO_MUTE
#10029523	constant V4L2_CID_MPEG_VIDEO_MUTE_YUV
#10029524	constant V4L2_CID_MPEG_VIDEO_DECODER_SLICE_INTERFACE
#10029525	constant V4L2_CID_MPEG_VIDEO_DECODER_MPEG4_DEBLOCK_FILTER
#10029526	constant V4L2_CID_MPEG_VIDEO_CYCLIC_INTRA_REFRESH_MB
#10029527	constant V4L2_CID_MPEG_VIDEO_FRAME_RC_ENABLE
#10029528	constant V4L2_CID_MPEG_VIDEO_HEADER_MODE
#10029529	constant V4L2_CID_MPEG_VIDEO_MAX_REF_PIC
#10029530	constant V4L2_CID_MPEG_VIDEO_MB_RC_ENABLE
#10029531	constant V4L2_CID_MPEG_VIDEO_MULTI_SLICE_MAX_BYTES
#10029532	constant V4L2_CID_MPEG_VIDEO_MULTI_SLICE_MAX_MB
#10029533	constant V4L2_CID_MPEG_VIDEO_MULTI_SLICE_MODE
#10029534	constant V4L2_CID_MPEG_VIDEO_VBV_SIZE
#10029535	constant V4L2_CID_MPEG_VIDEO_DEC_PTS
#10029536	constant V4L2_CID_MPEG_VIDEO_DEC_FRAME
#10029537	constant V4L2_CID_MPEG_VIDEO_VBV_DELAY
#10029538	constant V4L2_CID_MPEG_VIDEO_REPEAT_SEQ_HEADER
#10029539	constant V4L2_CID_MPEG_VIDEO_MV_H_SEARCH_RANGE
#10029540	constant V4L2_CID_MPEG_VIDEO_MV_V_SEARCH_RANGE
#10029612	constant V4L2_CID_MPEG_VIDEO_H263_I_FRAME_QP
#10029613	constant V4L2_CID_MPEG_VIDEO_H263_P_FRAME_QP
#10029614	constant V4L2_CID_MPEG_VIDEO_H263_B_FRAME_QP
#10029615	constant V4L2_CID_MPEG_VIDEO_H263_MIN_QP
#10029616	constant V4L2_CID_MPEG_VIDEO_H263_MAX_QP
#10029662	constant V4L2_CID_MPEG_VIDEO_H264_I_FRAME_QP
#10029663	constant V4L2_CID_MPEG_VIDEO_H264_P_FRAME_QP
#10029664	constant V4L2_CID_MPEG_VIDEO_H264_B_FRAME_QP
#10029665	constant V4L2_CID_MPEG_VIDEO_H264_MIN_QP
#10029666	constant V4L2_CID_MPEG_VIDEO_H264_MAX_QP
#10029667	constant V4L2_CID_MPEG_VIDEO_H264_8X8_TRANSFORM
#10029668	constant V4L2_CID_MPEG_VIDEO_H264_CPB_SIZE
#10029669	constant V4L2_CID_MPEG_VIDEO_H264_ENTROPY_MODE
#10029670	constant V4L2_CID_MPEG_VIDEO_H264_I_PERIOD
#10029671	constant V4L2_CID_MPEG_VIDEO_H264_LEVEL
#10029672	constant V4L2_CID_MPEG_VIDEO_H264_LOOP_FILTER_ALPHA
#10029673	constant V4L2_CID_MPEG_VIDEO_H264_LOOP_FILTER_BETA
#10029674	constant V4L2_CID_MPEG_VIDEO_H264_LOOP_FILTER_MODE
#10029675	constant V4L2_CID_MPEG_VIDEO_H264_PROFILE
#10029676	constant V4L2_CID_MPEG_VIDEO_H264_VUI_EXT_SAR_HEIGHT
#10029677	constant V4L2_CID_MPEG_VIDEO_H264_VUI_EXT_SAR_WIDTH
#10029678	constant V4L2_CID_MPEG_VIDEO_H264_VUI_SAR_ENABLE
#10029679	constant V4L2_CID_MPEG_VIDEO_H264_VUI_SAR_IDC
#10029680	constant V4L2_CID_MPEG_VIDEO_H264_SEI_FRAME_PACKING
#10029681	constant V4L2_CID_MPEG_VIDEO_H264_SEI_FP_CURRENT_FRAME_0
#10029682	constant V4L2_CID_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE
#10029683	constant V4L2_CID_MPEG_VIDEO_H264_FMO
#10029684	constant V4L2_CID_MPEG_VIDEO_H264_FMO_MAP_TYPE
#10029685	constant V4L2_CID_MPEG_VIDEO_H264_FMO_SLICE_GROUP
#10029686	constant V4L2_CID_MPEG_VIDEO_H264_FMO_CHANGE_DIRECTION
#10029687	constant V4L2_CID_MPEG_VIDEO_H264_FMO_CHANGE_RATE
#10029688	constant V4L2_CID_MPEG_VIDEO_H264_FMO_RUN_LENGTH
#10029689	constant V4L2_CID_MPEG_VIDEO_H264_ASO
#10029690	constant V4L2_CID_MPEG_VIDEO_H264_ASO_SLICE_ORDER
#10029691	constant V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING
#10029692	constant V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING_TYPE
#10029693	constant V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING_LAYER
#10029694	constant V4L2_CID_MPEG_VIDEO_H264_HIERARCHICAL_CODING_LAYER_QP
#10029712	constant V4L2_CID_MPEG_VIDEO_MPEG4_I_FRAME_QP
#10029713	constant V4L2_CID_MPEG_VIDEO_MPEG4_P_FRAME_QP
#10029714	constant V4L2_CID_MPEG_VIDEO_MPEG4_B_FRAME_QP
#10029715	constant V4L2_CID_MPEG_VIDEO_MPEG4_MIN_QP
#10029716	constant V4L2_CID_MPEG_VIDEO_MPEG4_MAX_QP
#10029717	constant V4L2_CID_MPEG_VIDEO_MPEG4_LEVEL
#10029718	constant V4L2_CID_MPEG_VIDEO_MPEG4_PROFILE
#10029719	constant V4L2_CID_MPEG_VIDEO_MPEG4_QPEL
#10029812	constant V4L2_CID_MPEG_VIDEO_VPX_NUM_PARTITIONS
#10029813	constant V4L2_CID_MPEG_VIDEO_VPX_IMD_DISABLE_4X4
#10029814	constant V4L2_CID_MPEG_VIDEO_VPX_NUM_REF_FRAMES
#10029815	constant V4L2_CID_MPEG_VIDEO_VPX_FILTER_LEVEL
#10029816	constant V4L2_CID_MPEG_VIDEO_VPX_FILTER_SHARPNESS
#10029817	constant V4L2_CID_MPEG_VIDEO_VPX_GOLDEN_FRAME_REF_PERIOD
#10029818	constant V4L2_CID_MPEG_VIDEO_VPX_GOLDEN_FRAME_SEL
#10029819	constant V4L2_CID_MPEG_VIDEO_VPX_MIN_QP
#10029820	constant V4L2_CID_MPEG_VIDEO_VPX_MAX_QP
#10029821	constant V4L2_CID_MPEG_VIDEO_VPX_I_FRAME_QP
#10029822	constant V4L2_CID_MPEG_VIDEO_VPX_P_FRAME_QP
#10029823	constant V4L2_CID_MPEG_VIDEO_VPX_PROFILE
#10031104	constant V4L2_CID_MPEG_CX2341X_BASE
#10031104	constant V4L2_CID_MPEG_CX2341X_VIDEO_SPATIAL_FILTER_MODE
#10031105	constant V4L2_CID_MPEG_CX2341X_VIDEO_SPATIAL_FILTER
#10031106	constant V4L2_CID_MPEG_CX2341X_VIDEO_LUMA_SPATIAL_FILTER_TYPE
#10031107	constant V4L2_CID_MPEG_CX2341X_VIDEO_CHROMA_SPATIAL_FILTER_TYPE
#10031108	constant V4L2_CID_MPEG_CX2341X_VIDEO_TEMPORAL_FILTER_MODE
#10031109	constant V4L2_CID_MPEG_CX2341X_VIDEO_TEMPORAL_FILTER
#10031110	constant V4L2_CID_MPEG_CX2341X_VIDEO_MEDIAN_FILTER_TYPE
#10031111	constant V4L2_CID_MPEG_CX2341X_VIDEO_LUMA_MEDIAN_FILTER_BOTTOM
#10031112	constant V4L2_CID_MPEG_CX2341X_VIDEO_LUMA_MEDIAN_FILTER_TOP
#10031113	constant V4L2_CID_MPEG_CX2341X_VIDEO_CHROMA_MEDIAN_FILTER_BOTTOM
#10031114	constant V4L2_CID_MPEG_CX2341X_VIDEO_CHROMA_MEDIAN_FILTER_TOP
#10031115	constant V4L2_CID_MPEG_CX2341X_STREAM_INSERT_NAV_PACKETS
#10031360	constant V4L2_CID_MPEG_MFC51_BASE
#10031360	constant V4L2_CID_MPEG_MFC51_VIDEO_DECODER_H264_DISPLAY_DELAY
#10031361	constant V4L2_CID_MPEG_MFC51_VIDEO_DECODER_H264_DISPLAY_DELAY_ENABLE
#10031362	constant V4L2_CID_MPEG_MFC51_VIDEO_FRAME_SKIP_MODE
#10031363	constant V4L2_CID_MPEG_MFC51_VIDEO_FORCE_FRAME_TYPE
#10031364	constant V4L2_CID_MPEG_MFC51_VIDEO_PADDING
#10031365	constant V4L2_CID_MPEG_MFC51_VIDEO_PADDING_YUV
#10031366	constant V4L2_CID_MPEG_MFC51_VIDEO_RC_FIXED_TARGET_BIT
#10031367	constant V4L2_CID_MPEG_MFC51_VIDEO_RC_REACTION_COEFF
#10031410	constant V4L2_CID_MPEG_MFC51_VIDEO_H264_ADAPTIVE_RC_ACTIVITY
#10031411	constant V4L2_CID_MPEG_MFC51_VIDEO_H264_ADAPTIVE_RC_DARK
#10031412	constant V4L2_CID_MPEG_MFC51_VIDEO_H264_ADAPTIVE_RC_SMOOTH
#10031413	constant V4L2_CID_MPEG_MFC51_VIDEO_H264_ADAPTIVE_RC_STATIC
#10031414	constant V4L2_CID_MPEG_MFC51_VIDEO_H264_NUM_REF_PIC_FOR_P
#10094848	constant V4L2_CID_CAMERA_CLASS_BASE
#10092545	constant V4L2_CID_CAMERA_CLASS
#10094849	constant V4L2_CID_EXPOSURE_AUTO
#10094850	constant V4L2_CID_EXPOSURE_ABSOLUTE
#10094851	constant V4L2_CID_EXPOSURE_AUTO_PRIORITY
#10094852	constant V4L2_CID_PAN_RELATIVE
#10094853	constant V4L2_CID_TILT_RELATIVE
#10094854	constant V4L2_CID_PAN_RESET
#10094855	constant V4L2_CID_TILT_RESET
#10094856	constant V4L2_CID_PAN_ABSOLUTE
#10094857	constant V4L2_CID_TILT_ABSOLUTE
#10094858	constant V4L2_CID_FOCUS_ABSOLUTE
#10094859	constant V4L2_CID_FOCUS_RELATIVE
#10094860	constant V4L2_CID_FOCUS_AUTO
#10094861	constant V4L2_CID_ZOOM_ABSOLUTE
#10094862	constant V4L2_CID_ZOOM_RELATIVE
#10094863	constant V4L2_CID_ZOOM_CONTINUOUS
#10094864	constant V4L2_CID_PRIVACY
#10094865	constant V4L2_CID_IRIS_ABSOLUTE
#10094866	constant V4L2_CID_IRIS_RELATIVE
#10094867	constant V4L2_CID_AUTO_EXPOSURE_BIAS
#10094868	constant V4L2_CID_AUTO_N_PRESET_WHITE_BALANCE
#10094869	constant V4L2_CID_WIDE_DYNAMIC_RANGE
#10094870	constant V4L2_CID_IMAGE_STABILIZATION
#10094871	constant V4L2_CID_ISO_SENSITIVITY
#10094872	constant V4L2_CID_ISO_SENSITIVITY_AUTO
#10094873	constant V4L2_CID_EXPOSURE_METERING
#10094874	constant V4L2_CID_SCENE_MODE
#10094875	constant V4L2_CID_3A_LOCK
#1	constant V4L2_LOCK_EXPOSURE
#2	constant V4L2_LOCK_WHITE_BALANCE
#4	constant V4L2_LOCK_FOCUS
#10094876	constant V4L2_CID_AUTO_FOCUS_START
#10094877	constant V4L2_CID_AUTO_FOCUS_STOP
#10094878	constant V4L2_CID_AUTO_FOCUS_STATUS
#0	constant V4L2_AUTO_FOCUS_STATUS_IDLE
#1	constant V4L2_AUTO_FOCUS_STATUS_BUSY
#2	constant V4L2_AUTO_FOCUS_STATUS_REACHED
#4	constant V4L2_AUTO_FOCUS_STATUS_FAILED
#10094879	constant V4L2_CID_AUTO_FOCUS_RANGE
#10094880	constant V4L2_CID_PAN_SPEED
#10094881	constant V4L2_CID_TILT_SPEED
#10160384	constant V4L2_CID_FM_TX_CLASS_BASE
#10158081	constant V4L2_CID_FM_TX_CLASS
#10160385	constant V4L2_CID_RDS_TX_DEVIATION
#10160386	constant V4L2_CID_RDS_TX_PI
#10160387	constant V4L2_CID_RDS_TX_PTY
#10160389	constant V4L2_CID_RDS_TX_PS_NAME
#10160390	constant V4L2_CID_RDS_TX_RADIO_TEXT
#10160391	constant V4L2_CID_RDS_TX_MONO_STEREO
#10160392	constant V4L2_CID_RDS_TX_ARTIFICIAL_HEAD
#10160393	constant V4L2_CID_RDS_TX_COMPRESSED
#10160394	constant V4L2_CID_RDS_TX_DYNAMIC_PTY
#10160395	constant V4L2_CID_RDS_TX_TRAFFIC_ANNOUNCEMENT
#10160396	constant V4L2_CID_RDS_TX_TRAFFIC_PROGRAM
#10160397	constant V4L2_CID_RDS_TX_MUSIC_SPEECH
#10160398	constant V4L2_CID_RDS_TX_ALT_FREQS_ENABLE
#10160399	constant V4L2_CID_RDS_TX_ALT_FREQS
#10160448	constant V4L2_CID_AUDIO_LIMITER_ENABLED
#10160449	constant V4L2_CID_AUDIO_LIMITER_RELEASE_TIME
#10160450	constant V4L2_CID_AUDIO_LIMITER_DEVIATION
#10160464	constant V4L2_CID_AUDIO_COMPRESSION_ENABLED
#10160465	constant V4L2_CID_AUDIO_COMPRESSION_GAIN
#10160466	constant V4L2_CID_AUDIO_COMPRESSION_THRESHOLD
#10160467	constant V4L2_CID_AUDIO_COMPRESSION_ATTACK_TIME
#10160468	constant V4L2_CID_AUDIO_COMPRESSION_RELEASE_TIME
#10160480	constant V4L2_CID_PILOT_TONE_ENABLED
#10160481	constant V4L2_CID_PILOT_TONE_DEVIATION
#10160482	constant V4L2_CID_PILOT_TONE_FREQUENCY
#10160496	constant V4L2_CID_TUNE_PREEMPHASIS
#10160497	constant V4L2_CID_TUNE_POWER_LEVEL
#10160498	constant V4L2_CID_TUNE_ANTENNA_CAPACITOR
#10225920	constant V4L2_CID_FLASH_CLASS_BASE
#10223617	constant V4L2_CID_FLASH_CLASS
#10225921	constant V4L2_CID_FLASH_LED_MODE
#10225922	constant V4L2_CID_FLASH_STROBE_SOURCE
#10225923	constant V4L2_CID_FLASH_STROBE
#10225924	constant V4L2_CID_FLASH_STROBE_STOP
#10225925	constant V4L2_CID_FLASH_STROBE_STATUS
#10225926	constant V4L2_CID_FLASH_TIMEOUT
#10225927	constant V4L2_CID_FLASH_INTENSITY
#10225928	constant V4L2_CID_FLASH_TORCH_INTENSITY
#10225929	constant V4L2_CID_FLASH_INDICATOR_INTENSITY
#10225930	constant V4L2_CID_FLASH_FAULT
#1	constant V4L2_FLASH_FAULT_OVER_VOLTAGE
#2	constant V4L2_FLASH_FAULT_TIMEOUT
#4	constant V4L2_FLASH_FAULT_OVER_TEMPERATURE
#8	constant V4L2_FLASH_FAULT_SHORT_CIRCUIT
#16	constant V4L2_FLASH_FAULT_OVER_CURRENT
#32	constant V4L2_FLASH_FAULT_INDICATOR
#64	constant V4L2_FLASH_FAULT_UNDER_VOLTAGE
#128	constant V4L2_FLASH_FAULT_INPUT_VOLTAGE
#256	constant V4L2_FLASH_FAULT_LED_OVER_TEMPERATURE
#10225931	constant V4L2_CID_FLASH_CHARGE
#10225932	constant V4L2_CID_FLASH_READY
#10291456	constant V4L2_CID_JPEG_CLASS_BASE
#10289153	constant V4L2_CID_JPEG_CLASS
#10291457	constant V4L2_CID_JPEG_CHROMA_SUBSAMPLING
#10291458	constant V4L2_CID_JPEG_RESTART_INTERVAL
#10291459	constant V4L2_CID_JPEG_COMPRESSION_QUALITY
#10291460	constant V4L2_CID_JPEG_ACTIVE_MARKER
#1	constant V4L2_JPEG_ACTIVE_MARKER_APP0
#2	constant V4L2_JPEG_ACTIVE_MARKER_APP1
#65536	constant V4L2_JPEG_ACTIVE_MARKER_COM
#131072	constant V4L2_JPEG_ACTIVE_MARKER_DQT
#262144	constant V4L2_JPEG_ACTIVE_MARKER_DHT
#10356992	constant V4L2_CID_IMAGE_SOURCE_CLASS_BASE
#10354689	constant V4L2_CID_IMAGE_SOURCE_CLASS
#10356993	constant V4L2_CID_VBLANK
#10356994	constant V4L2_CID_HBLANK
#10356995	constant V4L2_CID_ANALOGUE_GAIN
#10356996	constant V4L2_CID_TEST_PATTERN_RED
#10356997	constant V4L2_CID_TEST_PATTERN_GREENR
#10356998	constant V4L2_CID_TEST_PATTERN_BLUE
#10356999	constant V4L2_CID_TEST_PATTERN_GREENB
#10422528	constant V4L2_CID_IMAGE_PROC_CLASS_BASE
#10420225	constant V4L2_CID_IMAGE_PROC_CLASS
#10422529	constant V4L2_CID_LINK_FREQ
#10422530	constant V4L2_CID_PIXEL_RATE
#10422531	constant V4L2_CID_TEST_PATTERN
#10488064	constant V4L2_CID_DV_CLASS_BASE
#10485761	constant V4L2_CID_DV_CLASS
#10488065	constant V4L2_CID_DV_TX_HOTPLUG
#10488066	constant V4L2_CID_DV_TX_RXSENSE
#10488067	constant V4L2_CID_DV_TX_EDID_PRESENT
#10488068	constant V4L2_CID_DV_TX_MODE
#10488069	constant V4L2_CID_DV_TX_RGB_RANGE
#10488164	constant V4L2_CID_DV_RX_POWER_PRESENT
#10488165	constant V4L2_CID_DV_RX_RGB_RANGE
#10553600	constant V4L2_CID_FM_RX_CLASS_BASE
#10551297	constant V4L2_CID_FM_RX_CLASS
#10553601	constant V4L2_CID_TUNE_DEEMPHASIS
#10553602	constant V4L2_CID_RDS_RECEPTION
#10553603	constant V4L2_CID_RDS_RX_PTY
#10553604	constant V4L2_CID_RDS_RX_PS_NAME
#10553605	constant V4L2_CID_RDS_RX_RADIO_TEXT
#10553606	constant V4L2_CID_RDS_RX_TRAFFIC_ANNOUNCEMENT
#10553607	constant V4L2_CID_RDS_RX_TRAFFIC_PROGRAM
#10553608	constant V4L2_CID_RDS_RX_MUSIC_SPEECH
#10619136	constant V4L2_CID_RF_TUNER_CLASS_BASE
#10616833	constant V4L2_CID_RF_TUNER_CLASS
#10619147	constant V4L2_CID_RF_TUNER_BANDWIDTH_AUTO
#10619148	constant V4L2_CID_RF_TUNER_BANDWIDTH
#10619168	constant V4L2_CID_RF_TUNER_RF_GAIN
#10619177	constant V4L2_CID_RF_TUNER_LNA_GAIN_AUTO
#10619178	constant V4L2_CID_RF_TUNER_LNA_GAIN
#10619187	constant V4L2_CID_RF_TUNER_MIXER_GAIN_AUTO
#10619188	constant V4L2_CID_RF_TUNER_MIXER_GAIN
#10619197	constant V4L2_CID_RF_TUNER_IF_GAIN_AUTO
#10619198	constant V4L2_CID_RF_TUNER_IF_GAIN
#10619227	constant V4L2_CID_RF_TUNER_PLL_LOCK
#10684672	constant V4L2_CID_DETECT_CLASS_BASE
#10682369	constant V4L2_CID_DETECT_CLASS
#10684673	constant V4L2_CID_DETECT_MD_MODE
#10684674	constant V4L2_CID_DETECT_MD_GLOBAL_THRESHOLD
#10684675	constant V4L2_CID_DETECT_MD_THRESHOLD_GRID
#10684676	constant V4L2_CID_DETECT_MD_REGION_GRID

\ --------===< enums >===---------
#0	constant V4L2_FIELD_ANY
#1	constant V4L2_FIELD_NONE
#2	constant V4L2_FIELD_TOP
#3	constant V4L2_FIELD_BOTTOM
#4	constant V4L2_FIELD_INTERLACED
#5	constant V4L2_FIELD_SEQ_TB
#6	constant V4L2_FIELD_SEQ_BT
#7	constant V4L2_FIELD_ALTERNATE
#8	constant V4L2_FIELD_INTERLACED_TB
#9	constant V4L2_FIELD_INTERLACED_BT
#1	constant V4L2_BUF_TYPE_VIDEO_CAPTURE
#2	constant V4L2_BUF_TYPE_VIDEO_OUTPUT
#3	constant V4L2_BUF_TYPE_VIDEO_OVERLAY
#4	constant V4L2_BUF_TYPE_VBI_CAPTURE
#5	constant V4L2_BUF_TYPE_VBI_OUTPUT
#6	constant V4L2_BUF_TYPE_SLICED_VBI_CAPTURE
#7	constant V4L2_BUF_TYPE_SLICED_VBI_OUTPUT
#8	constant V4L2_BUF_TYPE_VIDEO_OUTPUT_OVERLAY
#9	constant V4L2_BUF_TYPE_VIDEO_CAPTURE_MPLANE
#10	constant V4L2_BUF_TYPE_VIDEO_OUTPUT_MPLANE
#11	constant V4L2_BUF_TYPE_SDR_CAPTURE
#12	constant V4L2_BUF_TYPE_SDR_OUTPUT
#128	constant V4L2_BUF_TYPE_PRIVATE
#1	constant V4L2_TUNER_RADIO
#2	constant V4L2_TUNER_ANALOG_TV
#3	constant V4L2_TUNER_DIGITAL_TV
#4	constant V4L2_TUNER_SDR
#5	constant V4L2_TUNER_RF
#1	constant V4L2_MEMORY_MMAP
#2	constant V4L2_MEMORY_USERPTR
#3	constant V4L2_MEMORY_OVERLAY
#4	constant V4L2_MEMORY_DMABUF
#0	constant V4L2_COLORSPACE_DEFAULT
#1	constant V4L2_COLORSPACE_SMPTE170M
#2	constant V4L2_COLORSPACE_SMPTE240M
#3	constant V4L2_COLORSPACE_REC709
#4	constant V4L2_COLORSPACE_BT878
#5	constant V4L2_COLORSPACE_470_SYSTEM_M
#6	constant V4L2_COLORSPACE_470_SYSTEM_BG
#7	constant V4L2_COLORSPACE_JPEG
#8	constant V4L2_COLORSPACE_SRGB
#9	constant V4L2_COLORSPACE_ADOBERGB
#10	constant V4L2_COLORSPACE_BT2020
#11	constant V4L2_COLORSPACE_RAW
#12	constant V4L2_COLORSPACE_DCI_P3
#0	constant V4L2_XFER_FUNC_DEFAULT
#1	constant V4L2_XFER_FUNC_709
#2	constant V4L2_XFER_FUNC_SRGB
#3	constant V4L2_XFER_FUNC_ADOBERGB
#4	constant V4L2_XFER_FUNC_SMPTE240M
#5	constant V4L2_XFER_FUNC_NONE
#6	constant V4L2_XFER_FUNC_DCI_P3
#7	constant V4L2_XFER_FUNC_SMPTE2084
#0	constant V4L2_YCBCR_ENC_DEFAULT
#1	constant V4L2_YCBCR_ENC_601
#2	constant V4L2_YCBCR_ENC_709
#3	constant V4L2_YCBCR_ENC_XV601
#4	constant V4L2_YCBCR_ENC_XV709
#5	constant V4L2_YCBCR_ENC_SYCC
#6	constant V4L2_YCBCR_ENC_BT2020
#7	constant V4L2_YCBCR_ENC_BT2020_CONST_LUM
#8	constant V4L2_YCBCR_ENC_SMPTE240M
#0	constant V4L2_QUANTIZATION_DEFAULT
#1	constant V4L2_QUANTIZATION_FULL_RANGE
#2	constant V4L2_QUANTIZATION_LIM_RANGE
#0	constant V4L2_PRIORITY_UNSET
#1	constant V4L2_PRIORITY_BACKGROUND
#2	constant V4L2_PRIORITY_INTERACTIVE
#3	constant V4L2_PRIORITY_RECORD
#2	constant V4L2_PRIORITY_DEFAULT
#1	constant V4L2_FRMSIZE_TYPE_DISCRETE
#2	constant V4L2_FRMSIZE_TYPE_CONTINUOUS
#3	constant V4L2_FRMSIZE_TYPE_STEPWISE
#1	constant V4L2_FRMIVAL_TYPE_DISCRETE
#2	constant V4L2_FRMIVAL_TYPE_CONTINUOUS
#3	constant V4L2_FRMIVAL_TYPE_STEPWISE
#1	constant V4L2_CTRL_TYPE_INTEGER
#2	constant V4L2_CTRL_TYPE_BOOLEAN
#3	constant V4L2_CTRL_TYPE_MENU
#4	constant V4L2_CTRL_TYPE_BUTTON
#5	constant V4L2_CTRL_TYPE_INTEGER64
#6	constant V4L2_CTRL_TYPE_CTRL_CLASS
#7	constant V4L2_CTRL_TYPE_STRING
#8	constant V4L2_CTRL_TYPE_BITMASK
#9	constant V4L2_CTRL_TYPE_INTEGER_MENU
#256	constant V4L2_CTRL_COMPOUND_TYPES
#256	constant V4L2_CTRL_TYPE_U8
#257	constant V4L2_CTRL_TYPE_U16
#258	constant V4L2_CTRL_TYPE_U32
#0	constant V4L2_CID_POWER_LINE_FREQUENCY_DISABLED
#1	constant V4L2_CID_POWER_LINE_FREQUENCY_50HZ
#2	constant V4L2_CID_POWER_LINE_FREQUENCY_60HZ
#3	constant V4L2_CID_POWER_LINE_FREQUENCY_AUTO
#0	constant V4L2_COLORFX_NONE
#1	constant V4L2_COLORFX_BW
#2	constant V4L2_COLORFX_SEPIA
#3	constant V4L2_COLORFX_NEGATIVE
#4	constant V4L2_COLORFX_EMBOSS
#5	constant V4L2_COLORFX_SKETCH
#6	constant V4L2_COLORFX_SKY_BLUE
#7	constant V4L2_COLORFX_GRASS_GREEN
#8	constant V4L2_COLORFX_SKIN_WHITEN
#9	constant V4L2_COLORFX_VIVID
#10	constant V4L2_COLORFX_AQUA
#11	constant V4L2_COLORFX_ART_FREEZE
#12	constant V4L2_COLORFX_SILHOUETTE
#13	constant V4L2_COLORFX_SOLARIZATION
#14	constant V4L2_COLORFX_ANTIQUE
#15	constant V4L2_COLORFX_SET_CBCR
#0	constant V4L2_MPEG_STREAM_TYPE_MPEG2_PS
#1	constant V4L2_MPEG_STREAM_TYPE_MPEG2_TS
#2	constant V4L2_MPEG_STREAM_TYPE_MPEG1_SS
#3	constant V4L2_MPEG_STREAM_TYPE_MPEG2_DVD
#4	constant V4L2_MPEG_STREAM_TYPE_MPEG1_VCD
#5	constant V4L2_MPEG_STREAM_TYPE_MPEG2_SVCD
#0	constant V4L2_MPEG_STREAM_VBI_FMT_NONE
#1	constant V4L2_MPEG_STREAM_VBI_FMT_IVTV
#0	constant V4L2_MPEG_AUDIO_SAMPLING_FREQ_44100
#1	constant V4L2_MPEG_AUDIO_SAMPLING_FREQ_48000
#2	constant V4L2_MPEG_AUDIO_SAMPLING_FREQ_32000
#0	constant V4L2_MPEG_AUDIO_ENCODING_LAYER_1
#1	constant V4L2_MPEG_AUDIO_ENCODING_LAYER_2
#2	constant V4L2_MPEG_AUDIO_ENCODING_LAYER_3
#3	constant V4L2_MPEG_AUDIO_ENCODING_AAC
#4	constant V4L2_MPEG_AUDIO_ENCODING_AC3
#0	constant V4L2_MPEG_AUDIO_L1_BITRATE_32K
#1	constant V4L2_MPEG_AUDIO_L1_BITRATE_64K
#2	constant V4L2_MPEG_AUDIO_L1_BITRATE_96K
#3	constant V4L2_MPEG_AUDIO_L1_BITRATE_128K
#4	constant V4L2_MPEG_AUDIO_L1_BITRATE_160K
#5	constant V4L2_MPEG_AUDIO_L1_BITRATE_192K
#6	constant V4L2_MPEG_AUDIO_L1_BITRATE_224K
#7	constant V4L2_MPEG_AUDIO_L1_BITRATE_256K
#8	constant V4L2_MPEG_AUDIO_L1_BITRATE_288K
#9	constant V4L2_MPEG_AUDIO_L1_BITRATE_320K
#10	constant V4L2_MPEG_AUDIO_L1_BITRATE_352K
#11	constant V4L2_MPEG_AUDIO_L1_BITRATE_384K
#12	constant V4L2_MPEG_AUDIO_L1_BITRATE_416K
#13	constant V4L2_MPEG_AUDIO_L1_BITRATE_448K
#0	constant V4L2_MPEG_AUDIO_L2_BITRATE_32K
#1	constant V4L2_MPEG_AUDIO_L2_BITRATE_48K
#2	constant V4L2_MPEG_AUDIO_L2_BITRATE_56K
#3	constant V4L2_MPEG_AUDIO_L2_BITRATE_64K
#4	constant V4L2_MPEG_AUDIO_L2_BITRATE_80K
#5	constant V4L2_MPEG_AUDIO_L2_BITRATE_96K
#6	constant V4L2_MPEG_AUDIO_L2_BITRATE_112K
#7	constant V4L2_MPEG_AUDIO_L2_BITRATE_128K
#8	constant V4L2_MPEG_AUDIO_L2_BITRATE_160K
#9	constant V4L2_MPEG_AUDIO_L2_BITRATE_192K
#10	constant V4L2_MPEG_AUDIO_L2_BITRATE_224K
#11	constant V4L2_MPEG_AUDIO_L2_BITRATE_256K
#12	constant V4L2_MPEG_AUDIO_L2_BITRATE_320K
#13	constant V4L2_MPEG_AUDIO_L2_BITRATE_384K
#0	constant V4L2_MPEG_AUDIO_L3_BITRATE_32K
#1	constant V4L2_MPEG_AUDIO_L3_BITRATE_40K
#2	constant V4L2_MPEG_AUDIO_L3_BITRATE_48K
#3	constant V4L2_MPEG_AUDIO_L3_BITRATE_56K
#4	constant V4L2_MPEG_AUDIO_L3_BITRATE_64K
#5	constant V4L2_MPEG_AUDIO_L3_BITRATE_80K
#6	constant V4L2_MPEG_AUDIO_L3_BITRATE_96K
#7	constant V4L2_MPEG_AUDIO_L3_BITRATE_112K
#8	constant V4L2_MPEG_AUDIO_L3_BITRATE_128K
#9	constant V4L2_MPEG_AUDIO_L3_BITRATE_160K
#10	constant V4L2_MPEG_AUDIO_L3_BITRATE_192K
#11	constant V4L2_MPEG_AUDIO_L3_BITRATE_224K
#12	constant V4L2_MPEG_AUDIO_L3_BITRATE_256K
#13	constant V4L2_MPEG_AUDIO_L3_BITRATE_320K
#0	constant V4L2_MPEG_AUDIO_MODE_STEREO
#1	constant V4L2_MPEG_AUDIO_MODE_JOINT_STEREO
#2	constant V4L2_MPEG_AUDIO_MODE_DUAL
#3	constant V4L2_MPEG_AUDIO_MODE_MONO
#0	constant V4L2_MPEG_AUDIO_MODE_EXTENSION_BOUND_4
#1	constant V4L2_MPEG_AUDIO_MODE_EXTENSION_BOUND_8
#2	constant V4L2_MPEG_AUDIO_MODE_EXTENSION_BOUND_12
#3	constant V4L2_MPEG_AUDIO_MODE_EXTENSION_BOUND_16
#0	constant V4L2_MPEG_AUDIO_EMPHASIS_NONE
#1	constant V4L2_MPEG_AUDIO_EMPHASIS_50_DIV_15_uS
#2	constant V4L2_MPEG_AUDIO_EMPHASIS_CCITT_J17
#0	constant V4L2_MPEG_AUDIO_CRC_NONE
#1	constant V4L2_MPEG_AUDIO_CRC_CRC16
#0	constant V4L2_MPEG_AUDIO_AC3_BITRATE_32K
#1	constant V4L2_MPEG_AUDIO_AC3_BITRATE_40K
#2	constant V4L2_MPEG_AUDIO_AC3_BITRATE_48K
#3	constant V4L2_MPEG_AUDIO_AC3_BITRATE_56K
#4	constant V4L2_MPEG_AUDIO_AC3_BITRATE_64K
#5	constant V4L2_MPEG_AUDIO_AC3_BITRATE_80K
#6	constant V4L2_MPEG_AUDIO_AC3_BITRATE_96K
#7	constant V4L2_MPEG_AUDIO_AC3_BITRATE_112K
#8	constant V4L2_MPEG_AUDIO_AC3_BITRATE_128K
#9	constant V4L2_MPEG_AUDIO_AC3_BITRATE_160K
#10	constant V4L2_MPEG_AUDIO_AC3_BITRATE_192K
#11	constant V4L2_MPEG_AUDIO_AC3_BITRATE_224K
#12	constant V4L2_MPEG_AUDIO_AC3_BITRATE_256K
#13	constant V4L2_MPEG_AUDIO_AC3_BITRATE_320K
#14	constant V4L2_MPEG_AUDIO_AC3_BITRATE_384K
#15	constant V4L2_MPEG_AUDIO_AC3_BITRATE_448K
#16	constant V4L2_MPEG_AUDIO_AC3_BITRATE_512K
#17	constant V4L2_MPEG_AUDIO_AC3_BITRATE_576K
#18	constant V4L2_MPEG_AUDIO_AC3_BITRATE_640K
#0	constant V4L2_MPEG_AUDIO_DEC_PLAYBACK_AUTO
#1	constant V4L2_MPEG_AUDIO_DEC_PLAYBACK_STEREO
#2	constant V4L2_MPEG_AUDIO_DEC_PLAYBACK_LEFT
#3	constant V4L2_MPEG_AUDIO_DEC_PLAYBACK_RIGHT
#4	constant V4L2_MPEG_AUDIO_DEC_PLAYBACK_MONO
#5	constant V4L2_MPEG_AUDIO_DEC_PLAYBACK_SWAPPED_STEREO
#0	constant V4L2_MPEG_VIDEO_ENCODING_MPEG_1
#1	constant V4L2_MPEG_VIDEO_ENCODING_MPEG_2
#2	constant V4L2_MPEG_VIDEO_ENCODING_MPEG_4_AVC
#0	constant V4L2_MPEG_VIDEO_ASPECT_1x1
#1	constant V4L2_MPEG_VIDEO_ASPECT_4x3
#2	constant V4L2_MPEG_VIDEO_ASPECT_16x9
#3	constant V4L2_MPEG_VIDEO_ASPECT_221x100
#0	constant V4L2_MPEG_VIDEO_BITRATE_MODE_VBR
#1	constant V4L2_MPEG_VIDEO_BITRATE_MODE_CBR
#0	constant V4L2_MPEG_VIDEO_HEADER_MODE_SEPARATE
#1	constant V4L2_MPEG_VIDEO_HEADER_MODE_JOINED_WITH_1ST_FRAME
#0	constant V4L2_MPEG_VIDEO_MULTI_SLICE_MODE_SINGLE
#1	constant V4L2_MPEG_VIDEO_MULTI_SICE_MODE_MAX_MB
#2	constant V4L2_MPEG_VIDEO_MULTI_SICE_MODE_MAX_BYTES
#0	constant V4L2_MPEG_VIDEO_H264_ENTROPY_MODE_CAVLC
#1	constant V4L2_MPEG_VIDEO_H264_ENTROPY_MODE_CABAC
#0	constant V4L2_MPEG_VIDEO_H264_LEVEL_1_0
#1	constant V4L2_MPEG_VIDEO_H264_LEVEL_1B
#2	constant V4L2_MPEG_VIDEO_H264_LEVEL_1_1
#3	constant V4L2_MPEG_VIDEO_H264_LEVEL_1_2
#4	constant V4L2_MPEG_VIDEO_H264_LEVEL_1_3
#5	constant V4L2_MPEG_VIDEO_H264_LEVEL_2_0
#6	constant V4L2_MPEG_VIDEO_H264_LEVEL_2_1
#7	constant V4L2_MPEG_VIDEO_H264_LEVEL_2_2
#8	constant V4L2_MPEG_VIDEO_H264_LEVEL_3_0
#9	constant V4L2_MPEG_VIDEO_H264_LEVEL_3_1
#10	constant V4L2_MPEG_VIDEO_H264_LEVEL_3_2
#11	constant V4L2_MPEG_VIDEO_H264_LEVEL_4_0
#12	constant V4L2_MPEG_VIDEO_H264_LEVEL_4_1
#13	constant V4L2_MPEG_VIDEO_H264_LEVEL_4_2
#14	constant V4L2_MPEG_VIDEO_H264_LEVEL_5_0
#15	constant V4L2_MPEG_VIDEO_H264_LEVEL_5_1
#0	constant V4L2_MPEG_VIDEO_H264_LOOP_FILTER_MODE_ENABLED
#1	constant V4L2_MPEG_VIDEO_H264_LOOP_FILTER_MODE_DISABLED
#2	constant V4L2_MPEG_VIDEO_H264_LOOP_FILTER_MODE_DISABLED_AT_SLICE_BOUNDARY
#0	constant V4L2_MPEG_VIDEO_H264_PROFILE_BASELINE
#1	constant V4L2_MPEG_VIDEO_H264_PROFILE_CONSTRAINED_BASELINE
#2	constant V4L2_MPEG_VIDEO_H264_PROFILE_MAIN
#3	constant V4L2_MPEG_VIDEO_H264_PROFILE_EXTENDED
#4	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH
#5	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH_10
#6	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH_422
#7	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH_444_PREDICTIVE
#8	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH_10_INTRA
#9	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH_422_INTRA
#10	constant V4L2_MPEG_VIDEO_H264_PROFILE_HIGH_444_INTRA
#11	constant V4L2_MPEG_VIDEO_H264_PROFILE_CAVLC_444_INTRA
#12	constant V4L2_MPEG_VIDEO_H264_PROFILE_SCALABLE_BASELINE
#13	constant V4L2_MPEG_VIDEO_H264_PROFILE_SCALABLE_HIGH
#14	constant V4L2_MPEG_VIDEO_H264_PROFILE_SCALABLE_HIGH_INTRA
#15	constant V4L2_MPEG_VIDEO_H264_PROFILE_STEREO_HIGH
#16	constant V4L2_MPEG_VIDEO_H264_PROFILE_MULTIVIEW_HIGH
#0	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_UNSPECIFIED
#1	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_1x1
#2	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_12x11
#3	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_10x11
#4	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_16x11
#5	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_40x33
#6	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_24x11
#7	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_20x11
#8	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_32x11
#9	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_80x33
#10	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_18x11
#11	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_15x11
#12	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_64x33
#13	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_160x99
#14	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_4x3
#15	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_3x2
#16	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_2x1
#17	constant V4L2_MPEG_VIDEO_H264_VUI_SAR_IDC_EXTENDED
#0	constant V4L2_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE_CHECKERBOARD
#1	constant V4L2_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE_COLUMN
#2	constant V4L2_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE_ROW
#3	constant V4L2_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE_SIDE_BY_SIDE
#4	constant V4L2_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE_TOP_BOTTOM
#5	constant V4L2_MPEG_VIDEO_H264_SEI_FP_ARRANGEMENT_TYPE_TEMPORAL
#0	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_INTERLEAVED_SLICES
#1	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_SCATTERED_SLICES
#2	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_FOREGROUND_WITH_LEFT_OVER
#3	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_BOX_OUT
#4	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_RASTER_SCAN
#5	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_WIPE_SCAN
#6	constant V4L2_MPEG_VIDEO_H264_FMO_MAP_TYPE_EXPLICIT
#0	constant V4L2_MPEG_VIDEO_H264_FMO_CHANGE_DIR_RIGHT
#1	constant V4L2_MPEG_VIDEO_H264_FMO_CHANGE_DIR_LEFT
#0	constant V4L2_MPEG_VIDEO_H264_HIERARCHICAL_CODING_B
#1	constant V4L2_MPEG_VIDEO_H264_HIERARCHICAL_CODING_P
#0	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_0
#1	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_0B
#2	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_1
#3	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_2
#4	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_3
#5	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_3B
#6	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_4
#7	constant V4L2_MPEG_VIDEO_MPEG4_LEVEL_5
#0	constant V4L2_MPEG_VIDEO_MPEG4_PROFILE_SIMPLE
#1	constant V4L2_MPEG_VIDEO_MPEG4_PROFILE_ADVANCED_SIMPLE
#2	constant V4L2_MPEG_VIDEO_MPEG4_PROFILE_CORE
#3	constant V4L2_MPEG_VIDEO_MPEG4_PROFILE_SIMPLE_SCALABLE
#4	constant V4L2_MPEG_VIDEO_MPEG4_PROFILE_ADVANCED_CODING_EFFICIENCY
#0	constant V4L2_CID_MPEG_VIDEO_VPX_1_PARTITION
#1	constant V4L2_CID_MPEG_VIDEO_VPX_2_PARTITIONS
#2	constant V4L2_CID_MPEG_VIDEO_VPX_4_PARTITIONS
#3	constant V4L2_CID_MPEG_VIDEO_VPX_8_PARTITIONS
#0	constant V4L2_CID_MPEG_VIDEO_VPX_1_REF_FRAME
#1	constant V4L2_CID_MPEG_VIDEO_VPX_2_REF_FRAME
#2	constant V4L2_CID_MPEG_VIDEO_VPX_3_REF_FRAME
#0	constant V4L2_CID_MPEG_VIDEO_VPX_GOLDEN_FRAME_USE_PREV
#1	constant V4L2_CID_MPEG_VIDEO_VPX_GOLDEN_FRAME_USE_REF_PERIOD
#0	constant V4L2_MPEG_CX2341X_VIDEO_SPATIAL_FILTER_MODE_MANUAL
#1	constant V4L2_MPEG_CX2341X_VIDEO_SPATIAL_FILTER_MODE_AUTO
#0	constant V4L2_MPEG_CX2341X_VIDEO_LUMA_SPATIAL_FILTER_TYPE_OFF
#1	constant V4L2_MPEG_CX2341X_VIDEO_LUMA_SPATIAL_FILTER_TYPE_1D_HOR
#2	constant V4L2_MPEG_CX2341X_VIDEO_LUMA_SPATIAL_FILTER_TYPE_1D_VERT
#3	constant V4L2_MPEG_CX2341X_VIDEO_LUMA_SPATIAL_FILTER_TYPE_2D_HV_SEPARABLE
#4	constant V4L2_MPEG_CX2341X_VIDEO_LUMA_SPATIAL_FILTER_TYPE_2D_SYM_NON_SEPARABLE
#0	constant V4L2_MPEG_CX2341X_VIDEO_CHROMA_SPATIAL_FILTER_TYPE_OFF
#1	constant V4L2_MPEG_CX2341X_VIDEO_CHROMA_SPATIAL_FILTER_TYPE_1D_HOR
#0	constant V4L2_MPEG_CX2341X_VIDEO_TEMPORAL_FILTER_MODE_MANUAL
#1	constant V4L2_MPEG_CX2341X_VIDEO_TEMPORAL_FILTER_MODE_AUTO
#0	constant V4L2_MPEG_CX2341X_VIDEO_MEDIAN_FILTER_TYPE_OFF
#1	constant V4L2_MPEG_CX2341X_VIDEO_MEDIAN_FILTER_TYPE_HOR
#2	constant V4L2_MPEG_CX2341X_VIDEO_MEDIAN_FILTER_TYPE_VERT
#3	constant V4L2_MPEG_CX2341X_VIDEO_MEDIAN_FILTER_TYPE_HOR_VERT
#4	constant V4L2_MPEG_CX2341X_VIDEO_MEDIAN_FILTER_TYPE_DIAG
#0	constant V4L2_MPEG_MFC51_VIDEO_FRAME_SKIP_MODE_DISABLED
#1	constant V4L2_MPEG_MFC51_VIDEO_FRAME_SKIP_MODE_LEVEL_LIMIT
#2	constant V4L2_MPEG_MFC51_VIDEO_FRAME_SKIP_MODE_BUF_LIMIT
#0	constant V4L2_MPEG_MFC51_VIDEO_FORCE_FRAME_TYPE_DISABLED
#1	constant V4L2_MPEG_MFC51_VIDEO_FORCE_FRAME_TYPE_I_FRAME
#2	constant V4L2_MPEG_MFC51_VIDEO_FORCE_FRAME_TYPE_NOT_CODED
#0	constant V4L2_EXPOSURE_AUTO
#1	constant V4L2_EXPOSURE_MANUAL
#2	constant V4L2_EXPOSURE_SHUTTER_PRIORITY
#3	constant V4L2_EXPOSURE_APERTURE_PRIORITY
#0	constant V4L2_WHITE_BALANCE_MANUAL
#1	constant V4L2_WHITE_BALANCE_AUTO
#2	constant V4L2_WHITE_BALANCE_INCANDESCENT
#3	constant V4L2_WHITE_BALANCE_FLUORESCENT
#4	constant V4L2_WHITE_BALANCE_FLUORESCENT_H
#5	constant V4L2_WHITE_BALANCE_HORIZON
#6	constant V4L2_WHITE_BALANCE_DAYLIGHT
#7	constant V4L2_WHITE_BALANCE_FLASH
#8	constant V4L2_WHITE_BALANCE_CLOUDY
#9	constant V4L2_WHITE_BALANCE_SHADE
#0	constant V4L2_ISO_SENSITIVITY_MANUAL
#1	constant V4L2_ISO_SENSITIVITY_AUTO
#0	constant V4L2_EXPOSURE_METERING_AVERAGE
#1	constant V4L2_EXPOSURE_METERING_CENTER_WEIGHTED
#2	constant V4L2_EXPOSURE_METERING_SPOT
#3	constant V4L2_EXPOSURE_METERING_MATRIX
#0	constant V4L2_SCENE_MODE_NONE
#1	constant V4L2_SCENE_MODE_BACKLIGHT
#2	constant V4L2_SCENE_MODE_BEACH_SNOW
#3	constant V4L2_SCENE_MODE_CANDLE_LIGHT
#4	constant V4L2_SCENE_MODE_DAWN_DUSK
#5	constant V4L2_SCENE_MODE_FALL_COLORS
#6	constant V4L2_SCENE_MODE_FIREWORKS
#7	constant V4L2_SCENE_MODE_LANDSCAPE
#8	constant V4L2_SCENE_MODE_NIGHT
#9	constant V4L2_SCENE_MODE_PARTY_INDOOR
#10	constant V4L2_SCENE_MODE_PORTRAIT
#11	constant V4L2_SCENE_MODE_SPORTS
#12	constant V4L2_SCENE_MODE_SUNSET
#13	constant V4L2_SCENE_MODE_TEXT
#0	constant V4L2_AUTO_FOCUS_RANGE_AUTO
#1	constant V4L2_AUTO_FOCUS_RANGE_NORMAL
#2	constant V4L2_AUTO_FOCUS_RANGE_MACRO
#3	constant V4L2_AUTO_FOCUS_RANGE_INFINITY
#0	constant V4L2_PREEMPHASIS_DISABLED
#1	constant V4L2_PREEMPHASIS_50_uS
#2	constant V4L2_PREEMPHASIS_75_uS
#0	constant V4L2_FLASH_LED_MODE_NONE
#1	constant V4L2_FLASH_LED_MODE_FLASH
#2	constant V4L2_FLASH_LED_MODE_TORCH
#0	constant V4L2_FLASH_STROBE_SOURCE_SOFTWARE
#1	constant V4L2_FLASH_STROBE_SOURCE_EXTERNAL
#0	constant V4L2_JPEG_CHROMA_SUBSAMPLING_444
#1	constant V4L2_JPEG_CHROMA_SUBSAMPLING_422
#2	constant V4L2_JPEG_CHROMA_SUBSAMPLING_420
#3	constant V4L2_JPEG_CHROMA_SUBSAMPLING_411
#4	constant V4L2_JPEG_CHROMA_SUBSAMPLING_410
#5	constant V4L2_JPEG_CHROMA_SUBSAMPLING_GRAY
#0	constant V4L2_DV_TX_MODE_DVI_D
#1	constant V4L2_DV_TX_MODE_HDMI
#0	constant V4L2_DV_RGB_RANGE_AUTO
#1	constant V4L2_DV_RGB_RANGE_LIMITED
#2	constant V4L2_DV_RGB_RANGE_FULL
#0	constant V4L2_DEEMPHASIS_DISABLED
#1	constant V4L2_DEEMPHASIS_50_uS
#2	constant V4L2_DEEMPHASIS_75_uS
#0	constant V4L2_DETECT_MD_MODE_DISABLED
#1	constant V4L2_DETECT_MD_MODE_GLOBAL
#2	constant V4L2_DETECT_MD_MODE_THRESHOLD_GRID
#3	constant V4L2_DETECT_MD_MODE_REGION_GRID
#1	constant V4L2_MBUS_FMT_FIXED
#4097	constant V4L2_MBUS_FMT_RGB444_2X8_PADHI_BE
#4098	constant V4L2_MBUS_FMT_RGB444_2X8_PADHI_LE
#4099	constant V4L2_MBUS_FMT_RGB555_2X8_PADHI_BE
#4100	constant V4L2_MBUS_FMT_RGB555_2X8_PADHI_LE
#4101	constant V4L2_MBUS_FMT_BGR565_2X8_BE
#4102	constant V4L2_MBUS_FMT_BGR565_2X8_LE
#4103	constant V4L2_MBUS_FMT_RGB565_2X8_BE
#4104	constant V4L2_MBUS_FMT_RGB565_2X8_LE
#4105	constant V4L2_MBUS_FMT_RGB666_1X18
#4106	constant V4L2_MBUS_FMT_RGB888_1X24
#4107	constant V4L2_MBUS_FMT_RGB888_2X12_BE
#4108	constant V4L2_MBUS_FMT_RGB888_2X12_LE
#4109	constant V4L2_MBUS_FMT_ARGB8888_1X32
#8193	constant V4L2_MBUS_FMT_Y8_1X8
#8213	constant V4L2_MBUS_FMT_UV8_1X8
#8194	constant V4L2_MBUS_FMT_UYVY8_1_5X8
#8195	constant V4L2_MBUS_FMT_VYUY8_1_5X8
#8196	constant V4L2_MBUS_FMT_YUYV8_1_5X8
#8197	constant V4L2_MBUS_FMT_YVYU8_1_5X8
#8198	constant V4L2_MBUS_FMT_UYVY8_2X8
#8199	constant V4L2_MBUS_FMT_VYUY8_2X8
#8200	constant V4L2_MBUS_FMT_YUYV8_2X8
#8201	constant V4L2_MBUS_FMT_YVYU8_2X8
#8202	constant V4L2_MBUS_FMT_Y10_1X10
#8216	constant V4L2_MBUS_FMT_UYVY10_2X10
#8217	constant V4L2_MBUS_FMT_VYUY10_2X10
#8203	constant V4L2_MBUS_FMT_YUYV10_2X10
#8204	constant V4L2_MBUS_FMT_YVYU10_2X10
#8211	constant V4L2_MBUS_FMT_Y12_1X12
#8207	constant V4L2_MBUS_FMT_UYVY8_1X16
#8208	constant V4L2_MBUS_FMT_VYUY8_1X16
#8209	constant V4L2_MBUS_FMT_YUYV8_1X16
#8210	constant V4L2_MBUS_FMT_YVYU8_1X16
#8212	constant V4L2_MBUS_FMT_YDYUYDYV8_1X16
#8218	constant V4L2_MBUS_FMT_UYVY10_1X20
#8219	constant V4L2_MBUS_FMT_VYUY10_1X20
#8205	constant V4L2_MBUS_FMT_YUYV10_1X20
#8206	constant V4L2_MBUS_FMT_YVYU10_1X20
#8214	constant V4L2_MBUS_FMT_YUV10_1X30
#8215	constant V4L2_MBUS_FMT_AYUV8_1X32
#8220	constant V4L2_MBUS_FMT_UYVY12_2X12
#8221	constant V4L2_MBUS_FMT_VYUY12_2X12
#8222	constant V4L2_MBUS_FMT_YUYV12_2X12
#8223	constant V4L2_MBUS_FMT_YVYU12_2X12
#8224	constant V4L2_MBUS_FMT_UYVY12_1X24
#8225	constant V4L2_MBUS_FMT_VYUY12_1X24
#8226	constant V4L2_MBUS_FMT_YUYV12_1X24
#8227	constant V4L2_MBUS_FMT_YVYU12_1X24
#12289	constant V4L2_MBUS_FMT_SBGGR8_1X8
#12307	constant V4L2_MBUS_FMT_SGBRG8_1X8
#12290	constant V4L2_MBUS_FMT_SGRBG8_1X8
#12308	constant V4L2_MBUS_FMT_SRGGB8_1X8
#12309	constant V4L2_MBUS_FMT_SBGGR10_ALAW8_1X8
#12310	constant V4L2_MBUS_FMT_SGBRG10_ALAW8_1X8
#12311	constant V4L2_MBUS_FMT_SGRBG10_ALAW8_1X8
#12312	constant V4L2_MBUS_FMT_SRGGB10_ALAW8_1X8
#12299	constant V4L2_MBUS_FMT_SBGGR10_DPCM8_1X8
#12300	constant V4L2_MBUS_FMT_SGBRG10_DPCM8_1X8
#12297	constant V4L2_MBUS_FMT_SGRBG10_DPCM8_1X8
#12301	constant V4L2_MBUS_FMT_SRGGB10_DPCM8_1X8
#12291	constant V4L2_MBUS_FMT_SBGGR10_2X8_PADHI_BE
#12292	constant V4L2_MBUS_FMT_SBGGR10_2X8_PADHI_LE
#12293	constant V4L2_MBUS_FMT_SBGGR10_2X8_PADLO_BE
#12294	constant V4L2_MBUS_FMT_SBGGR10_2X8_PADLO_LE
#12295	constant V4L2_MBUS_FMT_SBGGR10_1X10
#12302	constant V4L2_MBUS_FMT_SGBRG10_1X10
#12298	constant V4L2_MBUS_FMT_SGRBG10_1X10
#12303	constant V4L2_MBUS_FMT_SRGGB10_1X10
#12296	constant V4L2_MBUS_FMT_SBGGR12_1X12
#12304	constant V4L2_MBUS_FMT_SGBRG12_1X12
#12305	constant V4L2_MBUS_FMT_SGRBG12_1X12
#12306	constant V4L2_MBUS_FMT_SRGGB12_1X12
#16385	constant V4L2_MBUS_FMT_JPEG_1X8
#20481	constant V4L2_MBUS_FMT_S5C_UYVY_JPEG_1X8
#24577	constant V4L2_MBUS_FMT_AHSV8888_1X32
#0	constant V4L2_SUBDEV_FORMAT_TRY
#1	constant V4L2_SUBDEV_FORMAT_ACTIVE

\ -------===< structs >===--------
\ v4l2_rect
begin-structure v4l2_rect
	drop 0 4 +field v4l2_rect-left
	drop 4 4 +field v4l2_rect-top
	drop 12 4 +field v4l2_rect-height
	drop 8 4 +field v4l2_rect-width
drop 16 end-structure
\ v4l2_fract
begin-structure v4l2_fract
	drop 4 4 +field v4l2_fract-denominator
	drop 0 4 +field v4l2_fract-numerator
drop 8 end-structure
\ v4l2_capability
begin-structure v4l2_capability
	drop 88 4 +field v4l2_capability-device_caps
	drop 0 16 +field v4l2_capability-driver
	drop 84 4 +field v4l2_capability-capabilities
	drop 92 12 +field v4l2_capability-reserved
	drop 16 32 +field v4l2_capability-card
	drop 48 32 +field v4l2_capability-bus_info
	drop 80 4 +field v4l2_capability-version
drop 104 end-structure
\ v4l2_pix_format
begin-structure v4l2_pix_format
	drop 12 4 +field v4l2_pix_format-field
	drop 20 4 +field v4l2_pix_format-sizeimage
	drop 16 4 +field v4l2_pix_format-bytesperline
	drop 28 4 +field v4l2_pix_format-priv
	drop 44 4 +field v4l2_pix_format-xfer_func
	drop 4 4 +field v4l2_pix_format-height
	drop 24 4 +field v4l2_pix_format-colorspace
	drop 36 4 +field v4l2_pix_format-ycbcr_enc
	drop 40 4 +field v4l2_pix_format-quantization
	drop 0 4 +field v4l2_pix_format-width
	drop 8 4 +field v4l2_pix_format-pixelformat
	drop 32 4 +field v4l2_pix_format-flags
drop 48 end-structure
\ v4l2_fmtdesc
begin-structure v4l2_fmtdesc
	drop 0 4 +field v4l2_fmtdesc-index
	drop 48 16 +field v4l2_fmtdesc-reserved
	drop 12 32 +field v4l2_fmtdesc-description
	drop 4 4 +field v4l2_fmtdesc-type
	drop 8 4 +field v4l2_fmtdesc-flags
	drop 44 4 +field v4l2_fmtdesc-pixelformat
drop 64 end-structure
\ v4l2_frmsize_discrete
begin-structure v4l2_frmsize_discrete
	drop 4 4 +field v4l2_frmsize_discrete-height
	drop 0 4 +field v4l2_frmsize_discrete-width
drop 8 end-structure
\ v4l2_frmsize_stepwise
begin-structure v4l2_frmsize_stepwise
	drop 12 4 +field v4l2_frmsize_stepwise-min_height
	drop 16 4 +field v4l2_frmsize_stepwise-max_height
	drop 20 4 +field v4l2_frmsize_stepwise-step_height
	drop 0 4 +field v4l2_frmsize_stepwise-min_width
	drop 4 4 +field v4l2_frmsize_stepwise-max_width
	drop 8 4 +field v4l2_frmsize_stepwise-step_width
drop 24 end-structure
\ v4l2_frmsizeenum
begin-structure v4l2_frmsizeenum
	drop 0 4 +field v4l2_frmsizeenum-index
	drop 36 8 +field v4l2_frmsizeenum-reserved
	drop 4 4 +field v4l2_frmsizeenum-pixel_format
	drop 8 4 +field v4l2_frmsizeenum-type
	drop 12 24 +field v4l2_frmsizeenum-stepwise
	drop 12 8 +field v4l2_frmsizeenum-discrete
drop 44 end-structure
\ v4l2_frmival_stepwise
begin-structure v4l2_frmival_stepwise
	drop 16 8 +field v4l2_frmival_stepwise-step
	drop 8 8 +field v4l2_frmival_stepwise-max
	drop 0 8 +field v4l2_frmival_stepwise-min
drop 24 end-structure
\ v4l2_frmivalenum
begin-structure v4l2_frmivalenum
	drop 0 4 +field v4l2_frmivalenum-index
	drop 44 8 +field v4l2_frmivalenum-reserved
	drop 4 4 +field v4l2_frmivalenum-pixel_format
	drop 12 4 +field v4l2_frmivalenum-height
	drop 16 4 +field v4l2_frmivalenum-type
	drop 8 4 +field v4l2_frmivalenum-width
	drop 20 24 +field v4l2_frmivalenum-stepwise
	drop 20 8 +field v4l2_frmivalenum-discrete
drop 52 end-structure
\ v4l2_timecode
begin-structure v4l2_timecode
	drop 8 1 +field v4l2_timecode-frames
	drop 11 1 +field v4l2_timecode-hours
	drop 12 4 +field v4l2_timecode-userbits
	drop 10 1 +field v4l2_timecode-minutes
	drop 0 4 +field v4l2_timecode-type
	drop 4 4 +field v4l2_timecode-flags
	drop 9 1 +field v4l2_timecode-seconds
drop 16 end-structure
\ v4l2_jpegcompression
begin-structure v4l2_jpegcompression
	drop 12 60 +field v4l2_jpegcompression-APP_data
	drop 136 4 +field v4l2_jpegcompression-jpeg_markers
	drop 8 4 +field v4l2_jpegcompression-APP_len
	drop 72 4 +field v4l2_jpegcompression-COM_len
	drop 76 60 +field v4l2_jpegcompression-COM_data
	drop 0 4 +field v4l2_jpegcompression-quality
	drop 4 4 +field v4l2_jpegcompression-APPn
drop 140 end-structure
\ v4l2_requestbuffers
begin-structure v4l2_requestbuffers
	drop 12 8 +field v4l2_requestbuffers-reserved
	drop 0 4 +field v4l2_requestbuffers-count
	drop 8 4 +field v4l2_requestbuffers-memory
	drop 4 4 +field v4l2_requestbuffers-type
drop 20 end-structure
\ v4l2_plane
begin-structure v4l2_plane
	drop 16 44 +field v4l2_plane-reserved
	drop 12 4 +field v4l2_plane-data_offset
	drop 4 4 +field v4l2_plane-length
	drop 8 4 +field v4l2_plane-m
	drop 0 4 +field v4l2_plane-bytesused
drop 60 end-structure
\ v4l2_plane_m
begin-structure v4l2_plane_m
	drop 0 4 +field v4l2_plane_m-userptr
	drop 0 4 +field v4l2_plane_m-mem_offset
	drop 0 4 +field v4l2_plane_m-fd
drop 4 end-structure
\ v4l2_buffer
begin-structure v4l2_buffer
	drop 0 4 +field v4l2_buffer-index
	drop 16 4 +field v4l2_buffer-field
	drop 64 4 +field v4l2_buffer-reserved
	drop 48 4 +field v4l2_buffer-memory
	drop 4 4 +field v4l2_buffer-type
	drop 44 4 +field v4l2_buffer-sequence
	drop 52 4 +field v4l2_buffer-m
	drop 56 4 +field v4l2_buffer-length
	drop 60 4 +field v4l2_buffer-reserved2
	drop 12 4 +field v4l2_buffer-flags
	drop 20 8 +field v4l2_buffer-timestamp
	drop 8 4 +field v4l2_buffer-bytesused
	drop 28 16 +field v4l2_buffer-timecode
drop 68 end-structure
\ v4l2_buffer_m
begin-structure v4l2_buffer_m
	drop 0 4 +field v4l2_buffer_m-userptr
	drop 0 4 +field v4l2_buffer_m-offset
	drop 0 4 +field v4l2_buffer_m-fd
	drop 0 4 +field v4l2_buffer_m-planes
drop 4 end-structure
\ v4l2_exportbuffer
begin-structure v4l2_exportbuffer
	drop 4 4 +field v4l2_exportbuffer-index
	drop 20 44 +field v4l2_exportbuffer-reserved
	drop 8 4 +field v4l2_exportbuffer-plane
	drop 0 4 +field v4l2_exportbuffer-type
	drop 16 4 +field v4l2_exportbuffer-fd
	drop 12 4 +field v4l2_exportbuffer-flags
drop 64 end-structure
\ v4l2_framebuffer
begin-structure v4l2_framebuffer
	drop 12 32 +field v4l2_framebuffer-fmt
	drop 0 4 +field v4l2_framebuffer-capability
	drop 4 4 +field v4l2_framebuffer-flags
	drop 8 4 +field v4l2_framebuffer-base
drop 44 end-structure
\ v4l2_framebuffer_fmt
begin-structure v4l2_framebuffer_fmt
	drop 12 4 +field v4l2_framebuffer_fmt-field
	drop 20 4 +field v4l2_framebuffer_fmt-sizeimage
	drop 16 4 +field v4l2_framebuffer_fmt-bytesperline
	drop 28 4 +field v4l2_framebuffer_fmt-priv
	drop 4 4 +field v4l2_framebuffer_fmt-height
	drop 24 4 +field v4l2_framebuffer_fmt-colorspace
	drop 0 4 +field v4l2_framebuffer_fmt-width
	drop 8 4 +field v4l2_framebuffer_fmt-pixelformat
drop 32 end-structure
\ v4l2_clip
begin-structure v4l2_clip
	drop 0 16 +field v4l2_clip-c
	drop 16 4 +field v4l2_clip-next
drop 20 end-structure
\ v4l2_window
begin-structure v4l2_window
	drop 0 16 +field v4l2_window-w
	drop 36 1 +field v4l2_window-global_alpha
	drop 16 4 +field v4l2_window-field
	drop 20 4 +field v4l2_window-chromakey
	drop 24 4 +field v4l2_window-clips
	drop 28 4 +field v4l2_window-clipcount
	drop 32 4 +field v4l2_window-bitmap
drop 40 end-structure
\ v4l2_captureparm
begin-structure v4l2_captureparm
	drop 8 8 +field v4l2_captureparm-timeperframe
	drop 24 16 +field v4l2_captureparm-reserved
	drop 20 4 +field v4l2_captureparm-readbuffers
	drop 0 4 +field v4l2_captureparm-capability
	drop 16 4 +field v4l2_captureparm-extendedmode
	drop 4 4 +field v4l2_captureparm-capturemode
drop 40 end-structure
\ v4l2_outputparm
begin-structure v4l2_outputparm
	drop 8 8 +field v4l2_outputparm-timeperframe
	drop 24 16 +field v4l2_outputparm-reserved
	drop 4 4 +field v4l2_outputparm-outputmode
	drop 20 4 +field v4l2_outputparm-writebuffers
	drop 0 4 +field v4l2_outputparm-capability
	drop 16 4 +field v4l2_outputparm-extendedmode
drop 40 end-structure
\ v4l2_cropcap
begin-structure v4l2_cropcap
	drop 20 16 +field v4l2_cropcap-defrect
	drop 36 8 +field v4l2_cropcap-pixelaspect
	drop 0 4 +field v4l2_cropcap-type
	drop 4 16 +field v4l2_cropcap-bounds
drop 44 end-structure
\ v4l2_crop
begin-structure v4l2_crop
	drop 4 16 +field v4l2_crop-c
	drop 0 4 +field v4l2_crop-type
drop 20 end-structure
\ v4l2_selection
begin-structure v4l2_selection
	drop 28 36 +field v4l2_selection-reserved
	drop 4 4 +field v4l2_selection-target
	drop 12 16 +field v4l2_selection-r
	drop 0 4 +field v4l2_selection-type
	drop 8 4 +field v4l2_selection-flags
drop 64 end-structure
\ v4l2_standard
begin-structure v4l2_standard
	drop 0 4 +field v4l2_standard-index
	drop 16 24 +field v4l2_standard-name
	drop 52 16 +field v4l2_standard-reserved
	drop 8 8 +field v4l2_standard-id
	drop 40 8 +field v4l2_standard-frameperiod
	drop 48 4 +field v4l2_standard-framelines
drop 72 end-structure
\ v4l2_bt_timings
begin-structure v4l2_bt_timings
	drop 28 4 +field v4l2_bt_timings-hsync
	drop 4 4 +field v4l2_bt_timings-height
	drop 40 4 +field v4l2_bt_timings-vsync
	drop 8 4 +field v4l2_bt_timings-interlaced
	drop 68 56 +field v4l2_bt_timings-reserved
	drop 16 8 +field v4l2_bt_timings-pixelclock
	drop 48 4 +field v4l2_bt_timings-il_vfrontporch
	drop 36 4 +field v4l2_bt_timings-vfrontporch
	drop 24 4 +field v4l2_bt_timings-hfrontporch
	drop 0 4 +field v4l2_bt_timings-width
	drop 64 4 +field v4l2_bt_timings-flags
	drop 56 4 +field v4l2_bt_timings-il_vbackporch
	drop 44 4 +field v4l2_bt_timings-vbackporch
	drop 32 4 +field v4l2_bt_timings-hbackporch
	drop 12 4 +field v4l2_bt_timings-polarities
	drop 52 4 +field v4l2_bt_timings-il_vsync
	drop 60 4 +field v4l2_bt_timings-standards
drop 124 end-structure
\ v4l2_dv_timings
begin-structure v4l2_dv_timings
	drop 4 128 +field v4l2_dv_timings-reserved
	drop 0 4 +field v4l2_dv_timings-type
	drop 4 124 +field v4l2_dv_timings-bt
drop 132 end-structure
\ v4l2_enum_dv_timings
begin-structure v4l2_enum_dv_timings
	drop 0 4 +field v4l2_enum_dv_timings-index
	drop 8 8 +field v4l2_enum_dv_timings-reserved
	drop 4 4 +field v4l2_enum_dv_timings-pad
	drop 16 132 +field v4l2_enum_dv_timings-timings
drop 148 end-structure
\ v4l2_bt_timings_cap
begin-structure v4l2_bt_timings_cap
	drop 16 8 +field v4l2_bt_timings_cap-min_pixelclock
	drop 24 8 +field v4l2_bt_timings_cap-max_pixelclock
	drop 32 4 +field v4l2_bt_timings_cap-standards
	drop 36 4 +field v4l2_bt_timings_cap-capabilities
	drop 40 64 +field v4l2_bt_timings_cap-reserved
	drop 8 4 +field v4l2_bt_timings_cap-min_height
	drop 12 4 +field v4l2_bt_timings_cap-max_height
	drop 0 4 +field v4l2_bt_timings_cap-min_width
	drop 4 4 +field v4l2_bt_timings_cap-max_width
drop 104 end-structure
\ v4l2_dv_timings_cap
begin-structure v4l2_dv_timings_cap
	drop 16 128 +field v4l2_dv_timings_cap-raw_data
	drop 8 8 +field v4l2_dv_timings_cap-reserved
	drop 0 4 +field v4l2_dv_timings_cap-type
	drop 16 104 +field v4l2_dv_timings_cap-bt
	drop 4 4 +field v4l2_dv_timings_cap-pad
drop 144 end-structure
\ v4l2_input
begin-structure v4l2_input
	drop 0 4 +field v4l2_input-index
	drop 4 32 +field v4l2_input-name
	drop 40 4 +field v4l2_input-audioset
	drop 56 4 +field v4l2_input-status
	drop 60 4 +field v4l2_input-capabilities
	drop 64 12 +field v4l2_input-reserved
	drop 44 4 +field v4l2_input-tuner
	drop 48 8 +field v4l2_input-std
	drop 36 4 +field v4l2_input-type
drop 80 end-structure
\ v4l2_output
begin-structure v4l2_output
	drop 0 4 +field v4l2_output-index
	drop 4 32 +field v4l2_output-name
	drop 40 4 +field v4l2_output-audioset
	drop 56 4 +field v4l2_output-capabilities
	drop 60 12 +field v4l2_output-reserved
	drop 48 8 +field v4l2_output-std
	drop 36 4 +field v4l2_output-type
	drop 44 4 +field v4l2_output-modulator
drop 72 end-structure
\ v4l2_control
begin-structure v4l2_control
	drop 0 4 +field v4l2_control-id
	drop 4 4 +field v4l2_control-value
drop 8 end-structure
\ v4l2_ext_control
begin-structure v4l2_ext_control
	drop 12 8 +field v4l2_ext_control-value64
	drop 12 4 +field v4l2_ext_control-p_u8
	drop 0 4 +field v4l2_ext_control-id
	drop 12 4 +field v4l2_ext_control-p_u32
	drop 12 4 +field v4l2_ext_control-value
	drop 4 4 +field v4l2_ext_control-size
	drop 8 4 +field v4l2_ext_control-reserved2
	drop 12 4 +field v4l2_ext_control-ptr
	drop 12 4 +field v4l2_ext_control-string
	drop 12 4 +field v4l2_ext_control-p_u16
drop 20 end-structure
\ v4l2_ext_controls
begin-structure v4l2_ext_controls
	drop 12 8 +field v4l2_ext_controls-reserved
	drop 4 4 +field v4l2_ext_controls-count
	drop 8 4 +field v4l2_ext_controls-error_idx
	drop 20 4 +field v4l2_ext_controls-controls
	drop 0 4 +field v4l2_ext_controls-ctrl_class
drop 24 end-structure
\ v4l2_queryctrl
begin-structure v4l2_queryctrl
	drop 40 4 +field v4l2_queryctrl-minimum
	drop 8 32 +field v4l2_queryctrl-name
	drop 60 8 +field v4l2_queryctrl-reserved
	drop 0 4 +field v4l2_queryctrl-id
	drop 48 4 +field v4l2_queryctrl-step
	drop 52 4 +field v4l2_queryctrl-default_value
	drop 44 4 +field v4l2_queryctrl-maximum
	drop 4 4 +field v4l2_queryctrl-type
	drop 56 4 +field v4l2_queryctrl-flags
drop 68 end-structure
\ v4l2_query_ext_ctrl
begin-structure v4l2_query_ext_ctrl
	drop 40 8 +field v4l2_query_ext_ctrl-minimum
	drop 84 4 +field v4l2_query_ext_ctrl-nr_of_dims
	drop 88 16 +field v4l2_query_ext_ctrl-dims
	drop 8 32 +field v4l2_query_ext_ctrl-name
	drop 104 128 +field v4l2_query_ext_ctrl-reserved
	drop 0 4 +field v4l2_query_ext_ctrl-id
	drop 56 8 +field v4l2_query_ext_ctrl-step
	drop 64 8 +field v4l2_query_ext_ctrl-default_value
	drop 48 8 +field v4l2_query_ext_ctrl-maximum
	drop 4 4 +field v4l2_query_ext_ctrl-type
	drop 76 4 +field v4l2_query_ext_ctrl-elem_size
	drop 72 4 +field v4l2_query_ext_ctrl-flags
	drop 80 4 +field v4l2_query_ext_ctrl-elems
drop 232 end-structure
\ v4l2_querymenu
begin-structure v4l2_querymenu
	drop 4 4 +field v4l2_querymenu-index
	drop 8 32 +field v4l2_querymenu-name
	drop 40 4 +field v4l2_querymenu-reserved
	drop 0 4 +field v4l2_querymenu-id
	drop 8 8 +field v4l2_querymenu-value
drop 44 end-structure
\ v4l2_tuner
begin-structure v4l2_tuner
	drop 52 4 +field v4l2_tuner-rxsubchans
	drop 56 4 +field v4l2_tuner-audmode
	drop 0 4 +field v4l2_tuner-index
	drop 4 32 +field v4l2_tuner-name
	drop 64 4 +field v4l2_tuner-afc
	drop 68 16 +field v4l2_tuner-reserved
	drop 48 4 +field v4l2_tuner-rangehigh
	drop 36 4 +field v4l2_tuner-type
	drop 40 4 +field v4l2_tuner-capability
	drop 44 4 +field v4l2_tuner-rangelow
	drop 60 4 +field v4l2_tuner-signal
drop 84 end-structure
\ v4l2_modulator
begin-structure v4l2_modulator
	drop 48 4 +field v4l2_modulator-txsubchans
	drop 0 4 +field v4l2_modulator-index
	drop 4 32 +field v4l2_modulator-name
	drop 56 12 +field v4l2_modulator-reserved
	drop 44 4 +field v4l2_modulator-rangehigh
	drop 36 4 +field v4l2_modulator-capability
	drop 40 4 +field v4l2_modulator-rangelow
	drop 52 4 +field v4l2_modulator-type
drop 68 end-structure
\ v4l2_frequency
begin-structure v4l2_frequency
	drop 12 32 +field v4l2_frequency-reserved
	drop 0 4 +field v4l2_frequency-tuner
	drop 8 4 +field v4l2_frequency-frequency
	drop 4 4 +field v4l2_frequency-type
drop 44 end-structure
\ v4l2_frequency_band
begin-structure v4l2_frequency_band
	drop 8 4 +field v4l2_frequency_band-index
	drop 28 36 +field v4l2_frequency_band-reserved
	drop 0 4 +field v4l2_frequency_band-tuner
	drop 20 4 +field v4l2_frequency_band-rangehigh
	drop 4 4 +field v4l2_frequency_band-type
	drop 12 4 +field v4l2_frequency_band-capability
	drop 16 4 +field v4l2_frequency_band-rangelow
	drop 24 4 +field v4l2_frequency_band-modulation
drop 64 end-structure
\ v4l2_hw_freq_seek
begin-structure v4l2_hw_freq_seek
	drop 8 4 +field v4l2_hw_freq_seek-seek_upward
	drop 28 20 +field v4l2_hw_freq_seek-reserved
	drop 0 4 +field v4l2_hw_freq_seek-tuner
	drop 24 4 +field v4l2_hw_freq_seek-rangehigh
	drop 4 4 +field v4l2_hw_freq_seek-type
	drop 20 4 +field v4l2_hw_freq_seek-rangelow
	drop 16 4 +field v4l2_hw_freq_seek-spacing
	drop 12 4 +field v4l2_hw_freq_seek-wrap_around
drop 48 end-structure
\ v4l2_rds_data
begin-structure v4l2_rds_data
	drop 2 1 +field v4l2_rds_data-block
	drop 0 1 +field v4l2_rds_data-lsb
	drop 1 1 +field v4l2_rds_data-msb
drop 3 end-structure
\ v4l2_audio
begin-structure v4l2_audio
	drop 0 4 +field v4l2_audio-index
	drop 4 32 +field v4l2_audio-name
	drop 44 8 +field v4l2_audio-reserved
	drop 36 4 +field v4l2_audio-capability
	drop 40 4 +field v4l2_audio-mode
drop 52 end-structure
\ v4l2_audioout
begin-structure v4l2_audioout
	drop 0 4 +field v4l2_audioout-index
	drop 4 32 +field v4l2_audioout-name
	drop 44 8 +field v4l2_audioout-reserved
	drop 36 4 +field v4l2_audioout-capability
	drop 40 4 +field v4l2_audioout-mode
drop 52 end-structure
\ v4l2_enc_idx_entry
begin-structure v4l2_enc_idx_entry
	drop 24 8 +field v4l2_enc_idx_entry-reserved
	drop 0 8 +field v4l2_enc_idx_entry-offset
	drop 16 4 +field v4l2_enc_idx_entry-length
	drop 8 8 +field v4l2_enc_idx_entry-pts
	drop 20 4 +field v4l2_enc_idx_entry-flags
drop 32 end-structure
\ v4l2_enc_idx
begin-structure v4l2_enc_idx
	drop 24 2048 +field v4l2_enc_idx-entry
	drop 8 16 +field v4l2_enc_idx-reserved
	drop 4 4 +field v4l2_enc_idx-entries_cap
	drop 0 4 +field v4l2_enc_idx-entries
drop 2072 end-structure
\ v4l2_encoder_cmd
begin-structure v4l2_encoder_cmd
	drop 8 32 +field v4l2_encoder_cmd-raw
	drop 4 4 +field v4l2_encoder_cmd-flags
	drop 0 4 +field v4l2_encoder_cmd-cmd
drop 40 end-structure
\ v4l2_decoder_cmd
begin-structure v4l2_decoder_cmd
	drop 8 8 +field v4l2_decoder_cmd-stop
	drop 8 64 +field v4l2_decoder_cmd-raw
	drop 4 4 +field v4l2_decoder_cmd-flags
	drop 8 8 +field v4l2_decoder_cmd-start
	drop 0 4 +field v4l2_decoder_cmd-cmd
drop 72 end-structure
\ v4l2_vbi_format
begin-structure v4l2_vbi_format
	drop 0 4 +field v4l2_vbi_format-sampling_rate
	drop 8 4 +field v4l2_vbi_format-samples_per_line
	drop 36 8 +field v4l2_vbi_format-reserved
	drop 24 8 +field v4l2_vbi_format-count
	drop 4 4 +field v4l2_vbi_format-offset
	drop 12 4 +field v4l2_vbi_format-sample_format
	drop 16 8 +field v4l2_vbi_format-start
	drop 32 4 +field v4l2_vbi_format-flags
drop 44 end-structure
\ v4l2_sliced_vbi_format
begin-structure v4l2_sliced_vbi_format
	drop 2 96 +field v4l2_sliced_vbi_format-service_lines
	drop 100 4 +field v4l2_sliced_vbi_format-io_size
	drop 104 8 +field v4l2_sliced_vbi_format-reserved
	drop 0 2 +field v4l2_sliced_vbi_format-service_set
drop 112 end-structure
\ v4l2_sliced_vbi_cap
begin-structure v4l2_sliced_vbi_cap
	drop 2 96 +field v4l2_sliced_vbi_cap-service_lines
	drop 104 12 +field v4l2_sliced_vbi_cap-reserved
	drop 0 2 +field v4l2_sliced_vbi_cap-service_set
	drop 100 4 +field v4l2_sliced_vbi_cap-type
drop 116 end-structure
\ v4l2_sliced_vbi_data
begin-structure v4l2_sliced_vbi_data
	drop 4 4 +field v4l2_sliced_vbi_data-field
	drop 12 4 +field v4l2_sliced_vbi_data-reserved
	drop 16 48 +field v4l2_sliced_vbi_data-data
	drop 0 4 +field v4l2_sliced_vbi_data-id
	drop 8 4 +field v4l2_sliced_vbi_data-line
drop 64 end-structure
\ v4l2_mpeg_vbi_itv0_line
begin-structure v4l2_mpeg_vbi_itv0_line
	drop 1 42 +field v4l2_mpeg_vbi_itv0_line-data
	drop 0 1 +field v4l2_mpeg_vbi_itv0_line-id
drop 43 end-structure
\ v4l2_mpeg_vbi_itv0
begin-structure v4l2_mpeg_vbi_itv0
	drop 0 8 +field v4l2_mpeg_vbi_itv0-linemask
	drop 8 1505 +field v4l2_mpeg_vbi_itv0-line
drop 1513 end-structure
\ v4l2_mpeg_vbi_ITV0
begin-structure v4l2_mpeg_vbi_ITV0
	drop 0 1548 +field v4l2_mpeg_vbi_ITV0-line
drop 1548 end-structure
\ v4l2_mpeg_vbi_fmt_ivtv
begin-structure v4l2_mpeg_vbi_fmt_ivtv
	drop 4 1513 +field v4l2_mpeg_vbi_fmt_ivtv-itv0
	drop 4 1548 +field v4l2_mpeg_vbi_fmt_ivtv-ITV0
	drop 0 4 +field v4l2_mpeg_vbi_fmt_ivtv-magic
drop 1552 end-structure
\ v4l2_plane_pix_format
begin-structure v4l2_plane_pix_format
	drop 0 4 +field v4l2_plane_pix_format-sizeimage
	drop 8 12 +field v4l2_plane_pix_format-reserved
	drop 4 4 +field v4l2_plane_pix_format-bytesperline
drop 20 end-structure
\ v4l2_pix_format_mplane
begin-structure v4l2_pix_format_mplane
	drop 12 4 +field v4l2_pix_format_mplane-field
	drop 185 7 +field v4l2_pix_format_mplane-reserved
	drop 20 160 +field v4l2_pix_format_mplane-plane_fmt
	drop 184 1 +field v4l2_pix_format_mplane-xfer_func
	drop 4 4 +field v4l2_pix_format_mplane-height
	drop 16 4 +field v4l2_pix_format_mplane-colorspace
	drop 182 1 +field v4l2_pix_format_mplane-ycbcr_enc
	drop 183 1 +field v4l2_pix_format_mplane-quantization
	drop 0 4 +field v4l2_pix_format_mplane-width
	drop 8 4 +field v4l2_pix_format_mplane-pixelformat
	drop 180 1 +field v4l2_pix_format_mplane-num_planes
	drop 181 1 +field v4l2_pix_format_mplane-flags
drop 192 end-structure
\ v4l2_sdr_format
begin-structure v4l2_sdr_format
	drop 8 24 +field v4l2_sdr_format-reserved
	drop 4 4 +field v4l2_sdr_format-buffersize
	drop 0 4 +field v4l2_sdr_format-pixelformat
drop 32 end-structure
\ v4l2_format
begin-structure v4l2_format
	drop 4 200 +field v4l2_format-fmt
	drop 0 4 +field v4l2_format-type
drop 204 end-structure
\ v4l2_format_fmt
begin-structure v4l2_format_fmt
	drop 0 200 +field v4l2_format_fmt-raw_data
	drop 0 48 +field v4l2_format_fmt-pix
	drop 0 192 +field v4l2_format_fmt-pix_mp
	drop 0 32 +field v4l2_format_fmt-sdr
	drop 0 112 +field v4l2_format_fmt-sliced
	drop 0 40 +field v4l2_format_fmt-win
	drop 0 44 +field v4l2_format_fmt-vbi
drop 200 end-structure
\ v4l2_streamparm
begin-structure v4l2_streamparm
	drop 4 200 +field v4l2_streamparm-parm
	drop 0 4 +field v4l2_streamparm-type
drop 204 end-structure
\ v4l2_streamparm_parm
begin-structure v4l2_streamparm_parm
	drop 0 200 +field v4l2_streamparm_parm-raw_data
	drop 0 40 +field v4l2_streamparm_parm-output
	drop 0 40 +field v4l2_streamparm_parm-capture
drop 200 end-structure
\ v4l2_event_vsync
begin-structure v4l2_event_vsync
	drop 0 1 +field v4l2_event_vsync-field
drop 1 end-structure
\ v4l2_event_ctrl
begin-structure v4l2_event_ctrl
	drop 0 4 +field v4l2_event_ctrl-changes
	drop 8 8 +field v4l2_event_ctrl-value64
	drop 20 4 +field v4l2_event_ctrl-minimum
	drop 28 4 +field v4l2_event_ctrl-step
	drop 32 4 +field v4l2_event_ctrl-default_value
	drop 8 4 +field v4l2_event_ctrl-value
	drop 24 4 +field v4l2_event_ctrl-maximum
	drop 4 4 +field v4l2_event_ctrl-type
	drop 16 4 +field v4l2_event_ctrl-flags
drop 40 end-structure
\ v4l2_event_frame_sync
begin-structure v4l2_event_frame_sync
	drop 0 4 +field v4l2_event_frame_sync-frame_sequence
drop 4 end-structure
\ v4l2_event_src_change
begin-structure v4l2_event_src_change
	drop 0 4 +field v4l2_event_src_change-changes
drop 4 end-structure
\ v4l2_event_motion_det
begin-structure v4l2_event_motion_det
	drop 4 4 +field v4l2_event_motion_det-frame_sequence
	drop 8 4 +field v4l2_event_motion_det-region_mask
	drop 0 4 +field v4l2_event_motion_det-flags
drop 12 end-structure
\ v4l2_event
begin-structure v4l2_event
	drop 92 32 +field v4l2_event-reserved
	drop 72 4 +field v4l2_event-pending
	drop 88 4 +field v4l2_event-id
	drop 0 4 +field v4l2_event-type
	drop 76 4 +field v4l2_event-sequence
	drop 8 64 +field v4l2_event-u
	drop 80 8 +field v4l2_event-timestamp
drop 128 end-structure
\ v4l2_event_u
begin-structure v4l2_event_u
	drop 0 64 +field v4l2_event_u-data
	drop 0 1 +field v4l2_event_u-vsync
	drop 0 12 +field v4l2_event_u-motion_det
	drop 0 4 +field v4l2_event_u-frame_sync
	drop 0 40 +field v4l2_event_u-ctrl
	drop 0 4 +field v4l2_event_u-src_change
drop 64 end-structure
\ v4l2_event_subscription
begin-structure v4l2_event_subscription
	drop 12 20 +field v4l2_event_subscription-reserved
	drop 4 4 +field v4l2_event_subscription-id
	drop 0 4 +field v4l2_event_subscription-type
	drop 8 4 +field v4l2_event_subscription-flags
drop 32 end-structure
\ v4l2_dbg_match
begin-structure v4l2_dbg_match
	drop 4 32 +field v4l2_dbg_match-name
	drop 0 4 +field v4l2_dbg_match-type
	drop 4 4 +field v4l2_dbg_match-addr
drop 36 end-structure
\ v4l2_dbg_register
begin-structure v4l2_dbg_register
	drop 40 8 +field v4l2_dbg_register-reg
	drop 36 4 +field v4l2_dbg_register-size
	drop 48 8 +field v4l2_dbg_register-val
	drop 0 36 +field v4l2_dbg_register-match
drop 56 end-structure
\ v4l2_dbg_chip_info
begin-structure v4l2_dbg_chip_info
	drop 36 32 +field v4l2_dbg_chip_info-name
	drop 72 128 +field v4l2_dbg_chip_info-reserved
	drop 0 36 +field v4l2_dbg_chip_info-match
	drop 68 4 +field v4l2_dbg_chip_info-flags
drop 200 end-structure
\ v4l2_create_buffers
begin-structure v4l2_create_buffers
	drop 0 4 +field v4l2_create_buffers-index
	drop 216 32 +field v4l2_create_buffers-reserved
	drop 4 4 +field v4l2_create_buffers-count
	drop 8 4 +field v4l2_create_buffers-memory
	drop 12 204 +field v4l2_create_buffers-format
drop 248 end-structure
\ v4l2_edid
begin-structure v4l2_edid
	drop 8 4 +field v4l2_edid-blocks
	drop 12 20 +field v4l2_edid-reserved
	drop 32 4 +field v4l2_edid-edid
	drop 0 4 +field v4l2_edid-pad
	drop 4 4 +field v4l2_edid-start_block
drop 36 end-structure
\ v4l2_mbus_framefmt
begin-structure v4l2_mbus_framefmt
	drop 12 4 +field v4l2_mbus_framefmt-field
	drop 26 22 +field v4l2_mbus_framefmt-reserved
	drop 8 4 +field v4l2_mbus_framefmt-code
	drop 24 2 +field v4l2_mbus_framefmt-xfer_func
	drop 4 4 +field v4l2_mbus_framefmt-height
	drop 16 4 +field v4l2_mbus_framefmt-colorspace
	drop 20 2 +field v4l2_mbus_framefmt-ycbcr_enc
	drop 22 2 +field v4l2_mbus_framefmt-quantization
	drop 0 4 +field v4l2_mbus_framefmt-width
drop 48 end-structure
\ v4l2_subdev_format
begin-structure v4l2_subdev_format
	drop 56 32 +field v4l2_subdev_format-reserved
	drop 0 4 +field v4l2_subdev_format-which
	drop 4 4 +field v4l2_subdev_format-pad
	drop 8 48 +field v4l2_subdev_format-format
drop 88 end-structure
\ v4l2_subdev_crop
begin-structure v4l2_subdev_crop
	drop 24 32 +field v4l2_subdev_crop-reserved
	drop 0 4 +field v4l2_subdev_crop-which
	drop 8 16 +field v4l2_subdev_crop-rect
	drop 4 4 +field v4l2_subdev_crop-pad
drop 56 end-structure
\ v4l2_subdev_mbus_code_enum
begin-structure v4l2_subdev_mbus_code_enum
	drop 4 4 +field v4l2_subdev_mbus_code_enum-index
	drop 16 32 +field v4l2_subdev_mbus_code_enum-reserved
	drop 12 4 +field v4l2_subdev_mbus_code_enum-which
	drop 8 4 +field v4l2_subdev_mbus_code_enum-code
	drop 0 4 +field v4l2_subdev_mbus_code_enum-pad
drop 48 end-structure
\ v4l2_subdev_frame_size_enum
begin-structure v4l2_subdev_frame_size_enum
	drop 0 4 +field v4l2_subdev_frame_size_enum-index
	drop 32 32 +field v4l2_subdev_frame_size_enum-reserved
	drop 28 4 +field v4l2_subdev_frame_size_enum-which
	drop 8 4 +field v4l2_subdev_frame_size_enum-code
	drop 20 4 +field v4l2_subdev_frame_size_enum-min_height
	drop 24 4 +field v4l2_subdev_frame_size_enum-max_height
	drop 12 4 +field v4l2_subdev_frame_size_enum-min_width
	drop 16 4 +field v4l2_subdev_frame_size_enum-max_width
	drop 4 4 +field v4l2_subdev_frame_size_enum-pad
drop 64 end-structure
\ v4l2_subdev_frame_interval
begin-structure v4l2_subdev_frame_interval
	drop 12 36 +field v4l2_subdev_frame_interval-reserved
	drop 4 8 +field v4l2_subdev_frame_interval-interval
	drop 0 4 +field v4l2_subdev_frame_interval-pad
drop 48 end-structure
\ v4l2_subdev_frame_interval_enum
begin-structure v4l2_subdev_frame_interval_enum
	drop 0 4 +field v4l2_subdev_frame_interval_enum-index
	drop 32 32 +field v4l2_subdev_frame_interval_enum-reserved
	drop 28 4 +field v4l2_subdev_frame_interval_enum-which
	drop 8 4 +field v4l2_subdev_frame_interval_enum-code
	drop 20 8 +field v4l2_subdev_frame_interval_enum-interval
	drop 16 4 +field v4l2_subdev_frame_interval_enum-height
	drop 4 4 +field v4l2_subdev_frame_interval_enum-pad
	drop 12 4 +field v4l2_subdev_frame_interval_enum-width
drop 64 end-structure
\ v4l2_subdev_selection
begin-structure v4l2_subdev_selection
	drop 32 32 +field v4l2_subdev_selection-reserved
	drop 0 4 +field v4l2_subdev_selection-which
	drop 8 4 +field v4l2_subdev_selection-target
	drop 16 16 +field v4l2_subdev_selection-r
	drop 4 4 +field v4l2_subdev_selection-pad
	drop 12 4 +field v4l2_subdev_selection-flags
drop 64 end-structure

\ ----===< postfix >===-----
end-c-library
