\ This file has been generated using SWIG and fsi,
\ and is already platform dependent, search for the corresponding
\ fsi-file to compile it where no one has compiled it before ;)
\ Forth systems have their own own dynamic loader and don't need addional C-Code.
\ That's why this file will just print normal forth-code once compiled
\ and can be used directly with include or require.
\ As all comments are stripped during the compilation, please
\ insert the copyright notice of the original file here.

\ ----===< prefix >===-----
cs-vocabulary va

get-current also va definitions

c-library va
s" va" add-lib
s" ((struct VAD:x.spx[arg0]" ptr-declare $+[]!
\c #include <va/va.h>
\c #include <va/va_vpp.h>
\c #include <va/va_backend.h>

\ ----===< int constants >===-----
#0	constant VA_STATUS_SUCCESS
#1	constant VA_STATUS_ERROR_OPERATION_FAILED
#2	constant VA_STATUS_ERROR_ALLOCATION_FAILED
#3	constant VA_STATUS_ERROR_INVALID_DISPLAY
#4	constant VA_STATUS_ERROR_INVALID_CONFIG
#5	constant VA_STATUS_ERROR_INVALID_CONTEXT
#6	constant VA_STATUS_ERROR_INVALID_SURFACE
#7	constant VA_STATUS_ERROR_INVALID_BUFFER
#8	constant VA_STATUS_ERROR_INVALID_IMAGE
#9	constant VA_STATUS_ERROR_INVALID_SUBPICTURE
#10	constant VA_STATUS_ERROR_ATTR_NOT_SUPPORTED
#11	constant VA_STATUS_ERROR_MAX_NUM_EXCEEDED
#12	constant VA_STATUS_ERROR_UNSUPPORTED_PROFILE
#13	constant VA_STATUS_ERROR_UNSUPPORTED_ENTRYPOINT
#14	constant VA_STATUS_ERROR_UNSUPPORTED_RT_FORMAT
#15	constant VA_STATUS_ERROR_UNSUPPORTED_BUFFERTYPE
#16	constant VA_STATUS_ERROR_SURFACE_BUSY
#17	constant VA_STATUS_ERROR_FLAG_NOT_SUPPORTED
#18	constant VA_STATUS_ERROR_INVALID_PARAMETER
#19	constant VA_STATUS_ERROR_RESOLUTION_NOT_SUPPORTED
#20	constant VA_STATUS_ERROR_UNIMPLEMENTED
#21	constant VA_STATUS_ERROR_SURFACE_IN_DISPLAYING
#22	constant VA_STATUS_ERROR_INVALID_IMAGE_FORMAT
#23	constant VA_STATUS_ERROR_DECODING_ERROR
#24	constant VA_STATUS_ERROR_ENCODING_ERROR
#25	constant VA_STATUS_ERROR_INVALID_VALUE
#32	constant VA_STATUS_ERROR_UNSUPPORTED_FILTER
#33	constant VA_STATUS_ERROR_INVALID_FILTER_CHAIN
#34	constant VA_STATUS_ERROR_HW_BUSY
#36	constant VA_STATUS_ERROR_UNSUPPORTED_MEMORY_TYPE
#-1	constant VA_STATUS_ERROR_UNKNOWN
#0	constant VA_FRAME_PICTURE
#1	constant VA_TOP_FIELD
#2	constant VA_BOTTOM_FIELD
#4	constant VA_ENABLE_BLEND
#8	constant VA_CLEAR_DRAWABLE
#16	constant VA_SRC_BT601
#32	constant VA_SRC_BT709
#64	constant VA_SRC_SMPTE_240
#0	constant VA_FILTER_SCALING_DEFAULT
#256	constant VA_FILTER_SCALING_FAST
#512	constant VA_FILTER_SCALING_HQ
#768	constant VA_FILTER_SCALING_NL_ANAMORPHIC
#3840	constant VA_FILTER_SCALING_MASK
#1	constant VA_RT_FORMAT_YUV420
#2	constant VA_RT_FORMAT_YUV422
#4	constant VA_RT_FORMAT_YUV444
#8	constant VA_RT_FORMAT_YUV411
#16	constant VA_RT_FORMAT_YUV400
#65536	constant VA_RT_FORMAT_RGB16
#131072	constant VA_RT_FORMAT_RGB32
#1048576	constant VA_RT_FORMAT_RGBP
#-2147483648	constant VA_RT_FORMAT_PROTECTED
#1	constant VA_RC_NONE
#2	constant VA_RC_CBR
#4	constant VA_RC_VBR
#8	constant VA_RC_VCM
#16	constant VA_RC_CQP
#32	constant VA_RC_VBR_CONSTRAINED
#0	constant VA_ENC_PACKED_HEADER_NONE
#1	constant VA_ENC_PACKED_HEADER_SEQUENCE
#2	constant VA_ENC_PACKED_HEADER_PICTURE
#4	constant VA_ENC_PACKED_HEADER_SLICE
#8	constant VA_ENC_PACKED_HEADER_MISC
#16	constant VA_ENC_PACKED_HEADER_RAW_DATA
#0	constant VA_ENC_INTERLACED_NONE
#1	constant VA_ENC_INTERLACED_FRAME
#2	constant VA_ENC_INTERLACED_FIELD
#4	constant VA_ENC_INTERLACED_MBAFF
#8	constant VA_ENC_INTERLACED_PAFF
#0	constant VA_ENC_SLICE_STRUCTURE_ARBITRARY_ROWS
#1	constant VA_ENC_SLICE_STRUCTURE_POWER_OF_TWO_ROWS
#2	constant VA_ENC_SLICE_STRUCTURE_ARBITRARY_MACROBLOCKS
#-2147483648	constant VA_ATTRIB_NOT_SUPPORTED
#-1	constant VA_INVALID_ID
#-1	constant VA_INVALID_SURFACE
#0	constant VA_SURFACE_ATTRIB_NOT_SUPPORTED
#1	constant VA_SURFACE_ATTRIB_GETTABLE
#2	constant VA_SURFACE_ATTRIB_SETTABLE
#1	constant VA_SURFACE_ATTRIB_MEM_TYPE_VA
#2	constant VA_SURFACE_ATTRIB_MEM_TYPE_V4L2
#4	constant VA_SURFACE_ATTRIB_MEM_TYPE_USER_PTR
#1	constant VA_SURFACE_EXTBUF_DESC_ENABLE_TILING
#2	constant VA_SURFACE_EXTBUF_DESC_CACHED
#4	constant VA_SURFACE_EXTBUF_DESC_UNCACHED
#8	constant VA_SURFACE_EXTBUF_DESC_WC
#-2147483648	constant VA_SURFACE_EXTBUF_DESC_PROTECTED
#0	constant VA_SURFACE_ATTRIB_USAGE_HINT_GENERIC
#1	constant VA_SURFACE_ATTRIB_USAGE_HINT_DECODER
#2	constant VA_SURFACE_ATTRIB_USAGE_HINT_ENCODER
#4	constant VA_SURFACE_ATTRIB_USAGE_HINT_VPP_READ
#8	constant VA_SURFACE_ATTRIB_USAGE_HINT_VPP_WRITE
#16	constant VA_SURFACE_ATTRIB_USAGE_HINT_DISPLAY
#1	constant VA_PROGRESSIVE
#0	constant VA_SLICE_DATA_FLAG_ALL
#1	constant VA_SLICE_DATA_FLAG_BEGIN
#2	constant VA_SLICE_DATA_FLAG_MIDDLE
#4	constant VA_SLICE_DATA_FLAG_END
#2	constant VA_MB_TYPE_MOTION_FORWARD
#4	constant VA_MB_TYPE_MOTION_BACKWARD
#8	constant VA_MB_TYPE_MOTION_PATTERN
#16	constant VA_MB_TYPE_MOTION_INTRA
#1	constant VA_PICTURE_H264_INVALID
#2	constant VA_PICTURE_H264_TOP_FIELD
#4	constant VA_PICTURE_H264_BOTTOM_FIELD
#8	constant VA_PICTURE_H264_SHORT_TERM_REFERENCE
#16	constant VA_PICTURE_H264_LONG_TERM_REFERENCE
#255	constant VA_CODED_BUF_STATUS_PICTURE_AVE_QP_MASK
#256	constant VA_CODED_BUF_STATUS_LARGE_SLICE_MASK
#512	constant VA_CODED_BUF_STATUS_SLICE_OVERFLOW_MASK
#1024	constant VA_CODED_BUF_STATUS_BITRATE_OVERFLOW
#2048	constant VA_CODED_BUF_STATUS_BITRATE_HIGH
#4096	constant VA_CODED_BUF_STATUS_FRAME_SIZE_OVERFLOW
#16711680	constant VA_CODED_BUF_STATUS_AIR_MB_OVER_THRESHOLD
#268435456	constant VA_CODED_BUF_STATUS_SINGLE_NALU
#842094158	constant VA_FOURCC_NV12
#875839817	constant VA_FOURCC_AI44
#1094862674	constant VA_FOURCC_RGBA
#1480738642	constant VA_FOURCC_RGBX
#1095911234	constant VA_FOURCC_BGRA
#1481787202	constant VA_FOURCC_BGRX
#1111970369	constant VA_FOURCC_ARGB
#1111970392	constant VA_FOURCC_XRGB
#1380401729	constant VA_FOURCC_ABGR
#1380401752	constant VA_FOURCC_XBGR
#1498831189	constant VA_FOURCC_UYVY
#844715353	constant VA_FOURCC_YUY2
#1448433985	constant VA_FOURCC_AYUV
#825316942	constant VA_FOURCC_NV11
#842094169	constant VA_FOURCC_YV12
#942682704	constant VA_FOURCC_P208
#1448433993	constant VA_FOURCC_IYUV
#875714137	constant VA_FOURCC_YV24
#842225241	constant VA_FOURCC_YV32
#808466521	constant VA_FOURCC_Y800
#860048713	constant VA_FOURCC_IMC3
#1345401140	constant VA_FOURCC_411P
#1211249204	constant VA_FOURCC_422H
#1446130228	constant VA_FOURCC_422V
#1345598516	constant VA_FOURCC_444P
#1346520914	constant VA_FOURCC_RGBP
#1347569474	constant VA_FOURCC_BGRP
#1378955572	constant VA_FOURCC_411R
#1	constant VA_LSB_FIRST
#2	constant VA_MSB_FIRST
#1	constant VA_SUBPICTURE_CHROMA_KEYING
#2	constant VA_SUBPICTURE_GLOBAL_ALPHA
#4	constant VA_SUBPICTURE_DESTINATION_IS_SCREEN_COORD
#0	constant VA_ROTATION_NONE
#1	constant VA_ROTATION_90
#2	constant VA_ROTATION_180
#3	constant VA_ROTATION_270
#0	constant VA_OOL_DEBLOCKING_FALSE
#1	constant VA_OOL_DEBLOCKING_TRUE
#0	constant VA_RENDER_MODE_UNDEFINED
#1	constant VA_RENDER_MODE_LOCAL_OVERLAY
#2	constant VA_RENDER_MODE_LOCAL_GPU
#4	constant VA_RENDER_MODE_EXTERNAL_OVERLAY
#8	constant VA_RENDER_MODE_EXTERNAL_GPU
#0	constant VA_RENDER_DEVICE_UNDEFINED
#1	constant VA_RENDER_DEVICE_LOCAL
#2	constant VA_RENDER_DEVICE_EXTERNAL
#0	constant VA_DISPLAY_ATTRIB_NOT_SUPPORTED
#1	constant VA_DISPLAY_ATTRIB_GETTABLE
#2	constant VA_DISPLAY_ATTRIB_SETTABLE
#1	constant VA_PROC_PIPELINE_SUBPICTURES
#2	constant VA_PROC_PIPELINE_FAST
#1	constant VA_PROC_FILTER_MANDATORY
#4	constant VA_PIPELINE_FLAG_END
#1	constant VA_DEINTERLACING_BOTTOM_FIELD_FIRST
#2	constant VA_DEINTERLACING_BOTTOM_FIELD
#4	constant VA_DEINTERLACING_ONE_FIELD
#1447117872	constant VA_DISPLAY_MAGIC

\ --------===< enums >===---------
#-1	constant VAProfileNone
#0	constant VAProfileMPEG2Simple
#1	constant VAProfileMPEG2Main
#2	constant VAProfileMPEG4Simple
#3	constant VAProfileMPEG4AdvancedSimple
#4	constant VAProfileMPEG4Main
#5	constant VAProfileH264Baseline
#6	constant VAProfileH264Main
#7	constant VAProfileH264High
#8	constant VAProfileVC1Simple
#9	constant VAProfileVC1Main
#10	constant VAProfileVC1Advanced
#11	constant VAProfileH263Baseline
#12	constant VAProfileJPEGBaseline
#13	constant VAProfileH264ConstrainedBaseline
#14	constant VAProfileVP8Version0_3
#15	constant VAProfileH264MultiviewHigh
#16	constant VAProfileH264StereoHigh
#1	constant VAEntrypointVLD
#2	constant VAEntrypointIZZ
#3	constant VAEntrypointIDCT
#4	constant VAEntrypointMoComp
#5	constant VAEntrypointDeblocking
#6	constant VAEntrypointEncSlice
#7	constant VAEntrypointEncPicture
#10	constant VAEntrypointVideoProc
#0	constant VAConfigAttribRTFormat
#1	constant VAConfigAttribSpatialResidual
#2	constant VAConfigAttribSpatialClipping
#3	constant VAConfigAttribIntraResidual
#4	constant VAConfigAttribEncryption
#5	constant VAConfigAttribRateControl
#10	constant VAConfigAttribEncPackedHeaders
#11	constant VAConfigAttribEncInterlaced
#13	constant VAConfigAttribEncMaxRefFrames
#14	constant VAConfigAttribEncMaxSlices
#15	constant VAConfigAttribEncSliceStructure
#16	constant VAConfigAttribEncMacroblockInfo
#21	constant VAConfigAttribEncQualityRange
#22	constant VAConfigAttribTypeMax
#1	constant VAGenericValueTypeInteger
#2	constant VAGenericValueTypeFloat
#3	constant VAGenericValueTypePointer
#4	constant VAGenericValueTypeFunc
#0	constant VASurfaceAttribNone
#1	constant VASurfaceAttribPixelFormat
#2	constant VASurfaceAttribMinWidth
#3	constant VASurfaceAttribMaxWidth
#4	constant VASurfaceAttribMinHeight
#5	constant VASurfaceAttribMaxHeight
#6	constant VASurfaceAttribMemoryType
#7	constant VASurfaceAttribExternalBufferDescriptor
#8	constant VASurfaceAttribUsageHint
#9	constant VASurfaceAttribCount
#0	constant VAPictureParameterBufferType
#1	constant VAIQMatrixBufferType
#2	constant VABitPlaneBufferType
#3	constant VASliceGroupMapBufferType
#4	constant VASliceParameterBufferType
#5	constant VASliceDataBufferType
#6	constant VAMacroblockParameterBufferType
#7	constant VAResidualDataBufferType
#8	constant VADeblockingParameterBufferType
#9	constant VAImageBufferType
#10	constant VAProtectedSliceDataBufferType
#11	constant VAQMatrixBufferType
#12	constant VAHuffmanTableBufferType
#13	constant VAProbabilityBufferType
#21	constant VAEncCodedBufferType
#22	constant VAEncSequenceParameterBufferType
#23	constant VAEncPictureParameterBufferType
#24	constant VAEncSliceParameterBufferType
#25	constant VAEncPackedHeaderParameterBufferType
#26	constant VAEncPackedHeaderDataBufferType
#27	constant VAEncMiscParameterBufferType
#28	constant VAEncMacroblockParameterBufferType
#29	constant VAEncMacroblockMapBufferType
#41	constant VAProcPipelineParameterBufferType
#42	constant VAProcFilterParameterBufferType
#43	constant VABufferTypeMax
#0	constant VAEncMiscParameterTypeFrameRate
#1	constant VAEncMiscParameterTypeRateControl
#2	constant VAEncMiscParameterTypeMaxSliceSize
#3	constant VAEncMiscParameterTypeAIR
#4	constant VAEncMiscParameterTypeMaxFrameSize
#5	constant VAEncMiscParameterTypeHRD
#6	constant VAEncMiscParameterTypeQualityLevel
#1	constant VAEncPackedHeaderSequence
#2	constant VAEncPackedHeaderPicture
#3	constant VAEncPackedHeaderSlice
#4	constant VAEncPackedHeaderRawData
#-2147483648	constant VAEncPackedHeaderMiscMask
#0	constant VAMvMode1Mv
#1	constant VAMvMode1MvHalfPel
#2	constant VAMvMode1MvHalfPelBilinear
#3	constant VAMvModeMixedMv
#4	constant VAMvModeIntensityCompensation
#0	constant VAEncPictureTypeIntra
#1	constant VAEncPictureTypePredictive
#2	constant VAEncPictureTypeBidirectional
#1	constant VASurfaceRendering
#2	constant VASurfaceDisplaying
#4	constant VASurfaceReady
#8	constant VASurfaceSkipped
#0	constant VADecodeSliceMissing
#1	constant VADecodeMBError
#0	constant VADISPLAYATTRIB_BLE_OFF
#1	constant VADISPLAYATTRIB_BLE_LOW
#2	constant VADISPLAYATTRIB_BLE_MEDIUM
#3	constant VADISPLAYATTRIB_BLE_HIGH
#4	constant VADISPLAYATTRIB_BLE_NONE
#0	constant VADisplayAttribBrightness
#1	constant VADisplayAttribContrast
#2	constant VADisplayAttribHue
#3	constant VADisplayAttribSaturation
#4	constant VADisplayAttribBackgroundColor
#5	constant VADisplayAttribDirectSurface
#6	constant VADisplayAttribRotation
#7	constant VADisplayAttribOutofLoopDeblock
#8	constant VADisplayAttribBLEBlackMode
#9	constant VADisplayAttribBLEWhiteMode
#10	constant VADisplayAttribBlueStretch
#11	constant VADisplayAttribSkinColorCorrection
#12	constant VADisplayAttribCSCMatrix
#13	constant VADisplayAttribBlendColor
#14	constant VADisplayAttribOverlayAutoPaintColorKey
#15	constant VADisplayAttribOverlayColorKey
#16	constant VADisplayAttribRenderMode
#17	constant VADisplayAttribRenderDevice
#18	constant VADisplayAttribRenderRect
#0	constant VAProcFilterNone
#1	constant VAProcFilterNoiseReduction
#2	constant VAProcFilterDeinterlacing
#3	constant VAProcFilterSharpening
#4	constant VAProcFilterColorBalance
#5	constant VAProcFilterSkinToneEnhancement
#6	constant VAProcFilterCount
#0	constant VAProcDeinterlacingNone
#1	constant VAProcDeinterlacingBob
#2	constant VAProcDeinterlacingWeave
#3	constant VAProcDeinterlacingMotionAdaptive
#4	constant VAProcDeinterlacingMotionCompensated
#5	constant VAProcDeinterlacingCount
#0	constant VAProcColorBalanceNone
#1	constant VAProcColorBalanceHue
#2	constant VAProcColorBalanceSaturation
#3	constant VAProcColorBalanceBrightness
#4	constant VAProcColorBalanceContrast
#5	constant VAProcColorBalanceAutoSaturation
#6	constant VAProcColorBalanceAutoBrightness
#7	constant VAProcColorBalanceAutoContrast
#8	constant VAProcColorBalanceCount
#0	constant VAProcColorStandardNone
#1	constant VAProcColorStandardBT601
#2	constant VAProcColorStandardBT709
#3	constant VAProcColorStandardBT470M
#4	constant VAProcColorStandardBT470BG
#5	constant VAProcColorStandardSMPTE170M
#6	constant VAProcColorStandardSMPTE240M
#7	constant VAProcColorStandardGenericFilm
#8	constant VAProcColorStandardCount
#240	constant VA_DISPLAY_MAJOR_MASK
#16	constant VA_DISPLAY_X11
#17	constant VA_DISPLAY_GLX
#32	constant VA_DISPLAY_ANDROID
#48	constant VA_DISPLAY_DRM
#49	constant VA_DISPLAY_DRM_RENDERNODES
#64	constant VA_DISPLAY_WAYLAND

\ -------===< structs >===--------
\ VAConfigAttrib
begin-structure VAConfigAttrib
drop 8 end-structure
\ VAGenericValue
begin-structure VAGenericValue
drop 8 end-structure
\ _VAGenericValue_value
begin-structure _VAGenericValue_value
	drop 0 4 +field _VAGenericValue_value-i
	drop 0 4 +field _VAGenericValue_value-p
	drop 0 4 +field _VAGenericValue_value-fn
	drop 0 4 +field _VAGenericValue_value-f
drop 4 end-structure
\ VASurfaceAttrib
begin-structure VASurfaceAttrib
drop 16 end-structure
\ VASurfaceAttribExternalBuffers
begin-structure VASurfaceAttribExternalBuffers
drop 68 end-structure
\ VAEncPackedHeaderParameterBuffer
begin-structure VAEncPackedHeaderParameterBuffer
drop 12 end-structure
\ VAEncMiscParameterBuffer
begin-structure VAEncMiscParameterBuffer
drop 4 end-structure
\ VAEncMiscParameterRateControl
begin-structure VAEncMiscParameterRateControl
drop 28 end-structure
\ VAEncMiscParameterFrameRate
begin-structure VAEncMiscParameterFrameRate
drop 4 end-structure
\ VAEncMiscParameterMaxSliceSize
begin-structure VAEncMiscParameterMaxSliceSize
drop 4 end-structure
\ VAEncMiscParameterAIR
begin-structure VAEncMiscParameterAIR
drop 12 end-structure
\ VAEncMiscParameterHRD
begin-structure VAEncMiscParameterHRD
drop 8 end-structure
\ VAEncMiscParameterBufferMaxFrameSize
begin-structure VAEncMiscParameterBufferMaxFrameSize
drop 8 end-structure
\ VAEncMiscParameterBufferQualityLevel
begin-structure VAEncMiscParameterBufferQualityLevel
drop 4 end-structure
\ VASliceParameterBufferBase
begin-structure VASliceParameterBufferBase
drop 12 end-structure
\ VAQMatrixBufferJPEG
begin-structure VAQMatrixBufferJPEG
drop 136 end-structure
\ VAEncPictureParameterBufferJPEG
begin-structure VAEncPictureParameterBufferJPEG
drop 12 end-structure
\ VAPictureParameterBufferMPEG2
begin-structure VAPictureParameterBufferMPEG2
drop 24 end-structure
\ _VAPictureParameterBufferMPEG2_picture_coding_extension
begin-structure _VAPictureParameterBufferMPEG2_picture_coding_extension
	drop 0 4 +field _VAPictureParameterBufferMPEG2_picture_coding_extension-value
drop 4 end-structure
\ VAIQMatrixBufferMPEG2
begin-structure VAIQMatrixBufferMPEG2
drop 272 end-structure
\ VASliceParameterBufferMPEG2
begin-structure VASliceParameterBufferMPEG2
drop 32 end-structure
\ VAMacroblockParameterBufferMPEG2
begin-structure VAMacroblockParameterBufferMPEG2
drop 32 end-structure
\ _VAMacroblockParameterBufferMPEG2_macroblock_modes
begin-structure _VAMacroblockParameterBufferMPEG2_macroblock_modes
	drop 0 4 +field _VAMacroblockParameterBufferMPEG2_macroblock_modes-value
drop 4 end-structure
\ VAPictureParameterBufferMPEG4
begin-structure VAPictureParameterBufferMPEG4
drop 48 end-structure
\ VAIQMatrixBufferMPEG4
begin-structure VAIQMatrixBufferMPEG4
drop 136 end-structure
\ VASliceParameterBufferMPEG4
begin-structure VASliceParameterBufferMPEG4
drop 24 end-structure
\ VAPictureParameterBufferVC1
begin-structure VAPictureParameterBufferVC1
drop 72 end-structure
\ _VAPictureParameterBufferVC1_raw_coding
begin-structure _VAPictureParameterBufferVC1_raw_coding
	drop 0 4 +field _VAPictureParameterBufferVC1_raw_coding-value
drop 4 end-structure
\ VASliceParameterBufferVC1
begin-structure VASliceParameterBufferVC1
drop 20 end-structure
\ VAPictureH264
begin-structure VAPictureH264
drop 20 end-structure
\ VAPictureParameterBufferH264
begin-structure VAPictureParameterBufferH264
drop 368 end-structure
\ VAIQMatrixBufferH264
begin-structure VAIQMatrixBufferH264
drop 224 end-structure
\ VASliceParameterBufferH264
begin-structure VASliceParameterBufferH264
drop 2088 end-structure
\ VAEncSliceParameterBuffer
begin-structure VAEncSliceParameterBuffer
drop 12 end-structure
\ VAEncSequenceParameterBufferH263
begin-structure VAEncSequenceParameterBufferH263
drop 20 end-structure
\ VAEncPictureParameterBufferH263
begin-structure VAEncPictureParameterBufferH263
drop 20 end-structure
\ VAEncSequenceParameterBufferMPEG4
begin-structure VAEncSequenceParameterBufferMPEG4
drop 44 end-structure
\ VAEncPictureParameterBufferMPEG4
begin-structure VAEncPictureParameterBufferMPEG4
drop 28 end-structure
\ VACodedBufferSegment
begin-structure VACodedBufferSegment
drop 24 end-structure
\ VABufferInfo
begin-structure VABufferInfo
	drop 0 4 +field VABufferInfo-handle
	drop 4 4 +field VABufferInfo-type
	drop 8 4 +field VABufferInfo-mem_type
	drop 12 4 +field VABufferInfo-mem_size
drop 16 end-structure
\ VASurfaceDecodeMBErrors
begin-structure VASurfaceDecodeMBErrors
drop 16 end-structure
\ VAImageFormat
begin-structure VAImageFormat
drop 32 end-structure
\ VAImage
begin-structure VAImage
drop 88 end-structure
\ VARectangle
begin-structure VARectangle
drop 8 end-structure
\ VADisplayAttribute
begin-structure VADisplayAttribute
drop 20 end-structure
\ VAProcPipelineCaps
begin-structure VAProcPipelineCaps
drop 32 end-structure
\ VAProcFilterValueRange
begin-structure VAProcFilterValueRange
drop 16 end-structure
\ VAProcPipelineParameterBuffer
begin-structure VAProcPipelineParameterBuffer
drop 56 end-structure
\ VAProcFilterParameterBufferBase
begin-structure VAProcFilterParameterBufferBase
drop 4 end-structure
\ VAProcFilterParameterBuffer
begin-structure VAProcFilterParameterBuffer
drop 8 end-structure
\ VAProcFilterParameterBufferDeinterlacing
begin-structure VAProcFilterParameterBufferDeinterlacing
drop 12 end-structure
\ VAProcFilterParameterBufferColorBalance
begin-structure VAProcFilterParameterBufferColorBalance
drop 12 end-structure
\ VAProcFilterCap
begin-structure VAProcFilterCap
drop 16 end-structure
\ VAProcFilterCapDeinterlacing
begin-structure VAProcFilterCapDeinterlacing
drop 4 end-structure
\ VAProcFilterCapColorBalance
begin-structure VAProcFilterCapColorBalance
drop 20 end-structure
\ VADriverContext
begin-structure VADriverContext
	drop 64 4 +field VADriverContext-handle
	drop 76 4 +field VADriverContext-display_type
	drop 60 4 +field VADriverContext-str_vendor
	drop 24 4 +field VADriverContext-x11_screen
	drop 44 4 +field VADriverContext-max_attributes
	drop 28 4 +field VADriverContext-version_major
	drop 56 4 +field VADriverContext-max_display_attributes
	drop 32 4 +field VADriverContext-version_minor
	drop 36 4 +field VADriverContext-max_profiles
	drop 20 4 +field VADriverContext-native_dpy
	drop 88 168 +field VADriverContext-reserved
	drop 52 4 +field VADriverContext-max_subpic_formats
	drop 48 4 +field VADriverContext-max_image_formats
	drop 0 4 +field VADriverContext-pDriverData
	drop 72 4 +field VADriverContext-glx
	drop 68 4 +field VADriverContext-drm_state
	drop 16 4 +field VADriverContext-vtable_tpi
	drop 40 4 +field VADriverContext-max_entrypoints
drop 256 end-structure
\ VADisplayContext
begin-structure VADisplayContext
	drop 32 4 +field VADisplayContext-vafool
	drop 4 4 +field VADisplayContext-pNext
	drop 16 4 +field VADisplayContext-vaDestroy
	drop 20 4 +field VADisplayContext-vaGetDriverName
	drop 0 4 +field VADisplayContext-vadpy_magic
	drop 12 4 +field VADisplayContext-vaIsValid
	drop 8 4 +field VADisplayContext-pDriverContext
	drop 28 4 +field VADisplayContext-vatrace
	drop 24 4 +field VADisplayContext-opaque
drop 36 end-structure

\ --===< function pointers >===---
c-funptr VADisplayContext-vaIsValid() {((struct VADisplayContext*)ptr)->vaIsValid} a -- n	( ctx -- )
c-funptr VADisplayContext-vaDestroy() {((struct VADisplayContext*)ptr)->vaDestroy} a -- void	( ctx -- )
c-funptr VADisplayContext-vaGetDriverName() {((struct VADisplayContext*)ptr)->vaGetDriverName} a a -- n	( ctx driver_name -- )

\ ------===< callbacks >===-------
c-callback VAPrivFunc:  -- n	( -- )
c-callback VAGenericFunc:  -- void	( <noname> -- )
c-callback VADriverInit: a -- n	( driver_context -- )

\ ------===< functions >===-------
c-function vaErrorStr vaErrorStr n -- s	( error_status -- )
c-function vaDisplayIsValid vaDisplayIsValid a -- n	( dpy -- )
c-function vaInitialize vaInitialize a a a -- n	( dpy major_version minor_version -- )
c-function vaTerminate vaTerminate a -- n	( dpy -- )
c-function vaQueryVendorString vaQueryVendorString a -- s	( dpy -- )
c-function vaGetLibFunc vaGetLibFunc a s -- a	( dpy func -- )
c-function vaMaxNumProfiles vaMaxNumProfiles a -- n	( dpy -- )
c-function vaMaxNumEntrypoints vaMaxNumEntrypoints a -- n	( dpy -- )
c-function vaMaxNumConfigAttributes vaMaxNumConfigAttributes a -- n	( dpy -- )
c-function vaQueryConfigProfiles vaQueryConfigProfiles a a a -- n	( dpy profile_list num_profiles -- )
c-function vaQueryConfigEntrypoints vaQueryConfigEntrypoints a n a a -- n	( dpy profile entrypoint_list num_entrypoints -- )
c-function vaGetConfigAttributes vaGetConfigAttributes a n n a n -- n	( dpy profile entrypoint attrib_list num_attribs -- )
c-function vaCreateConfig vaCreateConfig a n n a n a -- n	( dpy profile entrypoint attrib_list num_attribs config_id -- )
c-function vaDestroyConfig vaDestroyConfig a u -- n	( dpy config_id -- )
c-function vaQueryConfigAttributes vaQueryConfigAttributes a u a a a a -- n	( dpy config_id profile entrypoint attrib_list num_attribs -- )
c-function vaQuerySurfaceAttributes vaQuerySurfaceAttributes a u a a -- n	( dpy config attrib_list num_attribs -- )
c-function vaCreateSurfaces vaCreateSurfaces a u u u a u a u -- n	( dpy format width height surfaces num_surfaces attrib_list num_attribs -- )
c-function vaDestroySurfaces vaDestroySurfaces a a n -- n	( dpy surfaces num_surfaces -- )
c-function vaCreateContext vaCreateContext a u n n n a n a -- n	( dpy config_id picture_width picture_height flag render_targets num_render_targets context -- )
c-function vaDestroyContext vaDestroyContext a u -- n	( dpy context -- )
c-function vaCreateBuffer vaCreateBuffer a u n u u a a -- n	( dpy context type size num_elements data buf_id -- )
c-function vaBufferSetNumElements vaBufferSetNumElements a u u -- n	( dpy buf_id num_elements -- )
c-function vaMapBuffer vaMapBuffer a u a -- n	( dpy buf_id pbuf -- )
c-function vaUnmapBuffer vaUnmapBuffer a u -- n	( dpy buf_id -- )
c-function vaDestroyBuffer vaDestroyBuffer a u -- n	( dpy buffer_id -- )
c-function vaAcquireBufferHandle vaAcquireBufferHandle a u a -- n	( dpy buf_id buf_info -- )
c-function vaReleaseBufferHandle vaReleaseBufferHandle a u -- n	( dpy buf_id -- )
c-function vaBeginPicture vaBeginPicture a u u -- n	( dpy context render_target -- )
c-function vaRenderPicture vaRenderPicture a u a n -- n	( dpy context buffers num_buffers -- )
c-function vaEndPicture vaEndPicture a u -- n	( dpy context -- )
c-function vaSyncSurface vaSyncSurface a u -- n	( dpy render_target -- )
c-function vaQuerySurfaceStatus vaQuerySurfaceStatus a u a -- n	( dpy render_target status -- )
c-function vaQuerySurfaceError vaQuerySurfaceError a u n a -- n	( dpy surface error_status error_info -- )
c-function vaMaxNumImageFormats vaMaxNumImageFormats a -- n	( dpy -- )
c-function vaQueryImageFormats vaQueryImageFormats a a a -- n	( dpy format_list num_formats -- )
c-function vaCreateImage vaCreateImage a a n n a -- n	( dpy format width height image -- )
c-function vaDestroyImage vaDestroyImage a u -- n	( dpy image -- )
c-function vaSetImagePalette vaSetImagePalette a u a -- n	( dpy image palette -- )
c-function vaGetImage vaGetImage a u n n u u u -- n	( dpy surface x y width height image -- )
c-function vaPutImage vaPutImage a u u n n u u n n u u -- n	( dpy surface image src_x src_y src_width src_height dest_x dest_y dest_width dest_height -- )
c-function vaDeriveImage vaDeriveImage a u a -- n	( dpy surface image -- )
c-function vaMaxNumSubpictureFormats vaMaxNumSubpictureFormats a -- n	( dpy -- )
c-function vaQuerySubpictureFormats vaQuerySubpictureFormats a a a a -- n	( dpy format_list flags num_formats -- )
c-function vaCreateSubpicture vaCreateSubpicture a u a -- n	( dpy image subpicture -- )
c-function vaDestroySubpicture vaDestroySubpicture a u -- n	( dpy subpicture -- )
c-function vaSetSubpictureImage vaSetSubpictureImage a u u -- n	( dpy subpicture image -- )
c-function vaSetSubpictureChromakey vaSetSubpictureChromakey a u u u u -- n	( dpy subpicture chromakey_min chromakey_max chromakey_mask -- )
c-function vaSetSubpictureGlobalAlpha vaSetSubpictureGlobalAlpha a u r -- n	( dpy subpicture global_alpha -- )
c-function vaAssociateSubpicture vaAssociateSubpicture a u a n n n u u n n u u u -- n	( dpy subpicture target_surfaces num_surfaces src_x src_y src_width src_height dest_x dest_y dest_width dest_height flags -- )
c-function vaDeassociateSubpicture vaDeassociateSubpicture a u a n -- n	( dpy subpicture target_surfaces num_surfaces -- )
c-function vaMaxNumDisplayAttributes vaMaxNumDisplayAttributes a -- n	( dpy -- )
c-function vaQueryDisplayAttributes vaQueryDisplayAttributes a a a -- n	( dpy attr_list num_attributes -- )
c-function vaGetDisplayAttributes vaGetDisplayAttributes a a n -- n	( dpy attr_list num_attributes -- )
c-function vaSetDisplayAttributes vaSetDisplayAttributes a a n -- n	( dpy attr_list num_attributes -- )
c-function vaQueryVideoProcFilters vaQueryVideoProcFilters a u a a -- n	( dpy context filters num_filters -- )
c-function vaQueryVideoProcFilterCaps vaQueryVideoProcFilterCaps a u n a a -- n	( dpy context type filter_caps num_filter_caps -- )
c-function vaQueryVideoProcPipelineCaps vaQueryVideoProcPipelineCaps a u a u a -- n	( dpy context filters num_filters pipeline_caps -- )

\ ----===< postfix >===-----
end-c-library
previous set-current
